<?php

namespace App\Http\Controllers\Frontend;

use App\Http\Controllers\Controller;
use App\Models\Cart;

use App\Models\ProductVariation;
use Illuminate\Http\Request;
use Auth;
use App\Models\AddOnProduct;

class CartsController extends Controller
{
    

    # all cart items
    public function index(Request $request)
    {    
        $carts = null;
        // $carts = Cart::where('session_id',$request->cookie('XSRF-TOKEN'))->get();

        if (Auth::check()) {
            $carts = Cart::where('user_id', Auth::user()->id)->get();
        } else {
            $carts = Cart::where(['guest_id' => (int) $_COOKIE['guest_user_id']])->get();
        }
        
        return getView('pages.carts', ['carts' => $carts]);
    }

    # add to cart
    public function store(Request $request)
    {     
        $variationKey = "";
        if(!empty($request->variation_id)){
            foreach ($request->variation_id as $variationId) {
                $fieldName      = 'variation_value_for_variation_' . $variationId;
                $variationKey  .=  $variationId.':'.$request[$fieldName].'/';
            }
        
            $productVariation = ProductVariation::where('variation_key', $variationKey)->where('product_id', $request->product_id)->first();
        } 

            $cart = null;
            $message = '';

            if (Auth::check()) {
                $cartExist = Cart::where('user_id', Auth::user()->id)->where('product_id' , $request->product_id)->where('product_variation_id', $productVariation->id)->first();
            } else {
                $cartExist = Cart::where(['guest_id' => (int) $_COOKIE['guest_user_id']])->where('product_id' , $request->product_id)->where('product_variation_id', $productVariation->id)->first();
            }

            if(!empty($cartExist)){
              $cartExist->qty = $cartExist->qty + (int) $request->quantity;
              $cartExist->save();
            }
            else{

                $cart = new Cart;
                $cart->product_variation_id = $productVariation->id ?? null;
                $cart->qty                  = (int) $request->quantity;
                $cart->product_id           =  $request->product_id;
                $cart->message              =  $request->message;

                if (Auth::check()) {
                    $cart->user_id          = Auth::user()->id;
                } else {
                    $cart->guest_id    = (int) $_COOKIE['guest_user_id'];
                }
                $cart->save();
                flash(localize('Product added to your cart'))->success();

            }
            return redirect()->route('carts.index');
    }

    # update cart
    public function update(Request $request)
    {
 
        try {
            $cart = Cart::where('id', $request->id)->first();

            if ($request->action == "input") {
                $cart->qty = $request->type;
                $cart->save();
            }  else {
                $cart->delete();
            }
            // if ($request->action == "increase") {
            //     $cart->qty += 1;
            //     $cart->save();
            // } elseif ($request->action == "decrease") {
            //     if ($cart->qty > 1) {
            //         $cart->qty -= 1;
            //         $cart->save();
            //     }
            // } else {
            //     $cart->delete();
            // }
        } catch (\Throwable $th) {
            
        }
 
        flash(localize('Product Added Successt'))->success();
        return back();
    }

   

    # get cart information
    private function getCartsInfo($message = '')
    {
        
        $carts = Cart::where('session_id',$_COOKIE('XSRF-TOKEN'))->get();
        
        return [
            'success'           => true,
            'message'           => $message,
            'carts'             => getViewRender('pages.partials.carts.cart-listing', ['carts' => $carts]),
            'navCarts'          => getViewRender('pages.partials.carts.cart-navbar', ['carts' => $carts]),
            'cartCount'         => count($carts),
            'subTotal'          => formatPrice(getSubTotal($carts)),
            'couponDiscount'    => formatPrice(getCouponDiscount(getSubTotal($carts, false))),
        ];
    }
}
