<x-frontend.app-layout>


@section('title')
    {{ localize('Login') }}
@endsection
  

    <main> 

        <!-- login register wrapper start -->
        <div class="login-register-wrapper section-padding">
            <div class="container">
                <div class="member-area-from-wrap">
                    <div class="row">
                        <!-- Login Content Start -->
                        <div class="col-lg-5 mx-auto">
                            <div class="login-reg-form-wrap">
                                <h5>Sign In</h5>
                                <form class="tt-login-form-wrap p-md-6 p-lg-6 py-7 w-100" action="{{ route('login') }}" method="POST" id="login-form">
                                    @csrf
                                    
                                    <input type="hidden" name="login_with" class="login_with" value="email">

                                    <div class="single-input-item">
                                     <span class="login-email @if (old('login_with') == 'phone') d-none @endif">
                                        <input type="email" class="email_input" name="email" id="email" placeholder="{{ localize('Enter your email') }}" value="{{ old('email') }}" required />
                                         <small class="">
                                            <a href="javascript:void(0);" class="fs-sm login-with-phone-btn"
                                                onclick="handleLoginWithPhone()">
                                                {{ localize('Login with phone?') }}</a> 
                                        </small>
                                    </span>
                                    <span class="login-phone @if (old('login_with') == 'email' || old('login_with') == '') d-none @endif">
                                         
                                        <input type="text" class="phone_input" id="phone" name="phone" placeholder="+xxxxxxxxxx"
                                            class="theme-input mb-1" value="{{ old('phone') }}">

                                        <small class="">
                                            <a href="javascript:void(0);"
                                                onclick="handleLoginWithEmail()">
                                                {{ localize('Login with email?') }}</a>
                                        </small>
                                    </span>
                                    </div>

                                    <div class="single-input-item">
                                        <input type="password" name="password" id="password"
                                            placeholder="{{ localize('Password') }}" required />
                                    </div>
                                    <div class="single-input-item">
                                        <div class="login-reg-form-meta d-flex align-items-center justify-content-between">
                                            <div class="remember-meta">
                                                <div class="custom-control custom-checkbox">
                                                    <input type="checkbox" class="custom-control-input" id="save-password">
                                                    <label class="custom-control-label" for="save-password"> {{ localize('Remember me') }}</label>
                                                </div>
                                            </div>
                                            <a href="{{ route('password.request') }}" class="forget-pwd">Forget Password?</a>
                                        </div>
                                    </div>
                                    <div class="single-input-item">
                                        <button type="submit"  class="btn btn-sqr" onclick="handleSubmit()">{{ localize('Sign In') }}</button>
                                    </div>
                                    <p class="mb-0 fs-xs mt-3">{{ localize("Don't have an Account?") }} <a
                                href="{{ route('register') }}">{{ localize('Sign Up') }}</a></p>
                                </form>
                            </div>
                        </div>
                        <!-- Login Content End -->

                
                    </div>
                </div>
            </div>
        </div>
        <!-- login register wrapper end -->
    </main>

@push('scripts')
    <script>
        "use strict";

        // copyAdmin
        function copyAdmin() {
            $('#email').val('admin@themetags.com');
            $('#password').val('123456');
        }

        // copyCustomer
        function copyCustomer() {
            $('#email').val('customer@themetags.com');
            $('#password').val('123456');
        }

        // change input to phone
        function handleLoginWithPhone() { 
            $('.login_with').val('phone');

            $('.login-email').addClass('d-none');
            $('.login-email input').prop('required', false);
            $('.email_input').attr('type','hidden');
            $('.phone_input').attr('type','text');
            $('.login-phone').removeClass('d-none');
            $('.login-phone input').prop('required', true);
        }

        // change input to email
        function handleLoginWithEmail() {
            $('.login_with').val('email');
            $('.login-email').removeClass('d-none');
            $('.login-email input').prop('required', true);
            $('.email_input').attr('type','email');
            $('.phone_input').attr('type','hidden');

            $('.login-phone').addClass('d-none');
            $('.login-phone input').prop('required', false);
        }


        // disable login button
        function handleSubmit() {
            $('#login-form').on('submit', function(e) {
                $('.sign-in-btn').prop('disabled', true);
            });
        }
    </script>
@endpush
</x-frontend.app-layout>