<x-frontend.app-layout>

@section('title')
    {{ localize('Reset Password') }}
@endsection

 
 <!-- login register wrapper start -->
        <div class="login-register-wrapper section-padding">
            <div class="container">
                <div class="member-area-from-wrap">
                    <div class="row">
                        <!-- Login Content Start -->
                        <div class="col-lg-5 mx-auto">
                            <div class="login-reg-form-wrap">
                                <h5>Find Your Account</h5>
                                 <form class="tt-login-form-wrap p-md-6 p-lg-6 py-7 w-100" action="{{ route('password.email') }}" method="POST">
                                    @csrf

                                    <input type="hidden" name="reset_with" class="reset_with" value="email"> 
                                    
                                    <div class="single-input-item">
                                        <span class="reset-email @if (old('reset_with') == 'phone') d-none @endif">
                                        <label class="fw-bold text-dark fs-sm mb-1">{{ localize('Email') }}</label>
                                        <input type="email" id="email" name="email"
                                            placeholder="{{ localize('Enter your email') }}"
                                            class="theme-input mb-1 @error('email') is-invalid @enderror"
                                            value="{{ old('email') }}" required>

                                        <small class="">
                                            <a href="javascript:void(0);" class="fs-sm reset-with-phone-btn"
                                                onclick="handleResetWithPhone()">
                                                {{ localize('Reset with phone?') }}</a>
                                        </small>
                                    </span>

                                    @error('email')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror

                                    <span class="reset-phone @if (old('reset_with') == 'email' || old('reset_with') == '') d-none @endif">
                                        <label class="fw-bold text-dark fs-sm mb-1">{{ localize('Phone') }}</label>
                                        <input type="text" id="phone" name="phone" placeholder="+xxxxxxxxxx"
                                            class="theme-input mb-1" value="{{ old('phone') }}">

                                        <small class="">
                                            <a href="javascript:void(0);" class="fs-sm reset-with-email-btn"
                                                onclick="handleResetWithEmail()">
                                                {{ localize('Reset with email?') }}</a>
                                        </small>
                                    </span>
                                    </div>

                                    

                                    <div class="single-input-item">
                                        <button type="submit"  class="btn btn-sqr"  >{{ localize('Reset Password') }}</button>
                                    </div> 
                                </form>
                            </div>
                        </div>
                        <!-- Login Content End -->

                
                    </div>
                </div>
            </div>
        </div>
        <!-- login register wrapper end -->

 
 



@push('scripts')
    <script> 

       // change input to phone
        function handleResetWithPhone() {
            $('.reset_with').val('phone');

            $('.reset-email').addClass('d-none');
            $('.reset-email input').prop('required', false);

            $('.reset-phone').removeClass('d-none');
            $('.reset-phone input').prop('required', true);
        }

        // change input to email
        function handleResetWithEmail() {
            $('.reset_with').val('email');
            $('.reset-email').removeClass('d-none');
            $('.reset-email input').prop('required', true);

            $('.reset-phone').addClass('d-none');
            $('.reset-phone input').prop('required', false);
        }
    </script>
@endpush
</x-frontend.app-layout>