<x-backend.app-layout>

@section('title')
    {{ localize('Update Review') }} {{ getSetting('title_separator') }} {{ getSetting('system_title') }}
@endsection


<section class="tt-section pt-4">
    <div class="container">
        <div class="row mb-3">
            <div class="col-12">
                <div class="card tt-page-header">
                    <div class="card-body d-lg-flex align-items-center justify-content-lg-between">
                        <div class="tt-page-title">
                            <h2 class="h5 mb-lg-0">{{ localize('Update Review') }}</h2>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="row mb-4 g-4">

            <!--left sidebar-->
            <div class="col-xl-9 order-2 order-md-2 order-lg-2 order-xl-1">
                <form action="{{ route('admin.review.update') }}" method="POST" class="pb-650">
                    @csrf
                    <input type="hidden" name="id" value="{{ $Review->id }}">
                   <!--Review info start-->
                        <div class="card mb-4" id="section-2">
                            <div class="card-body">
                                <h5 class="mb-4">{{ localize('Add New Review') }}</h5>

                                <div class="mb-4">
                                    <label for="product" class="form-label">{{ localize('Product') }}</label>
                                    <select class="form-control" name="product">
                                        <option>Select Product</option>
                                        @if(!empty($productlist))
                                            @foreach ($productlist as $product)
                                                <option value="{{ $product->id }}" {{ ($Review->product_id == $product->id) ? 'selected':'' }}>{{ $product->name }}</option>
                                            @endforeach
                                        @endif
                                    </select>
                                </div>
                                <div class="mb-4">
                                    <label class="col-form-label"><span class="text-danger">*</span> Rating</label>
                                    <div>
                                    &nbsp;&nbsp;&nbsp; Bad&nbsp;
                                    <input type="radio" class="form-check-input" value="1" {{ ($Review->rating == 1)?'checked':'' }} name="rating" required>
                                    &nbsp;
                                    <input type="radio" class="form-check-input" value="2" {{ ($Review->rating == 2)?'checked':'' }} name="rating" required>
                                    &nbsp;
                                    <input type="radio" class="form-check-input" {{ ($Review->rating == 3)?'checked':'' }} value="3" name="rating" required>
                                    &nbsp;
                                    <input type="radio" class="form-check-input" {{ ($Review->rating == 4)?'checked':'' }} value="4" name="rating" required>
                                    &nbsp;
                                    <input type="radio" class="form-check-input" {{ ($Review->rating == 5)?'checked':'' }} value="5" name="rating" required>
                                    &nbsp;Good
                                    </div>
                                </div>
                                <div>
                                    <label class="col-form-label"><span class="text-danger">*</span> Your Review</label>
                                    <textarea class="form-control"  required name="review_text">{{ $Review->review_text }}</textarea>
                                     
                                </div>
                            </div>
                        </div>
                        <!--Review info end-->

                    <!-- submit button -->
                    <div class="row">
                        <div class="col-12">
                            <div class="mb-4">
                                <button class="btn btn-primary" type="submit">
                                    <i data-feather="save" class="me-1"></i> {{ localize('Save Changes') }}
                                </button>
                            </div>
                        </div>
                    </div>
                    <!-- submit button end -->

                </form>
            </div>

            <!--right sidebar-->
            <div class="col-xl-3 order-1 order-md-1 order-lg-1 order-xl-2">
                <div class="card tt-sticky-sidebar d-none d-xl-block">
                    <div class="card-body">
                        <h5 class="mb-4">{{ localize('Review Information') }}</h5>
                        <div class="tt-vertical-step">
                            <ul class="list-unstyled">
                                <li>
                                    <a href="#section-1" class="active">{{ localize('Basic Information') }}</a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

</x-backend.app-layout>
