<x-backend.app-layout>

@section('title')
    {{ localize('Review') }} {{ getSetting('title_separator') }} {{ getSetting('system_title') }}
@endsection


<section class="tt-section pt-4">
    <div class="container">
        <div class="row mb-3">
            <div class="col-12">
                <div class="card tt-page-header">
                    <div class="card-body d-lg-flex align-items-center justify-content-lg-between">
                        <div class="tt-page-title">
                            <h2 class="h5 mb-lg-0">{{ localize('Review') }}</h2>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="row mb-4 g-4">
            <!--left sidebar-->
            <div class="col-xl-9 order-2 order-md-2 order-lg-2 order-xl-1">
                <div class="row">
                    <div class="col-12">
                        <div class="card mb-4" id="section-1"> 
                            <table class="table tt-footable border-top" data-use-parent-width="true">
                                <thead>
                                    <tr>
                                        <th class="text-center" width="7%">{{ localize('S/L') }}</th>
                                        <th>{{ localize('Customer Name') }}</th>
                                        <th>{{ localize('Email') }}</th>
                                        <th>{{ localize('Phone') }}</th>
                                        <th>{{ localize('Rating') }}</th>
                                        <th>{{ localize('Review Text') }}</th> 
                                        <th data-breakpoints="xs sm" class="text-end">
                                            {{ localize('Action') }}
                                        </th>
                                    </tr>
                                </thead>
                                <tbody>
                                        @if(!empty($reviewList))
                                            @forelse ($reviewList as $k=>$review) 
                                                <tr>
                                                    <td>{{ $k+1 }}</td>
                                                    <td>{{ $review->user->name ?? '' }}</td>
                                                    <td>{{ $review->user->email ??'' }}</td>
                                                    <td>{{ $review->user->phone ?? '' }}</td>
                                                    <td> 
                                                       {{ renderStarRating($review->rating) }}
                                                    </td>
                                                    <td>{{ $review->review_text }}</td> 
                                                   <td class="text-end">
                                                     <div class="dropdown tt-tb-dropdown">
                                                    <button type="button" class="btn p-0" data-bs-toggle="dropdown"
                                                        aria-expanded="false">
                                                        <i data-feather="more-vertical"></i>
                                                    </button>
                                                    <div class="dropdown-menu dropdown-menu-end shadow"> 
                                                            <a class="dropdown-item"
                                                                href="{{ route('admin.review.edit', ['id' => $review->id, 'lang_key' => env('DEFAULT_LANGUAGE')]) }}&localize">
                                                                <i data-feather="edit-3"
                                                                    class="me-2"></i>{{ localize('Edit') }}
                                                            </a> 
 
                                                            <a href="#" class="dropdown-item confirm-delete"
                                                                data-href="{{ route('admin.review.delete', $review->id) }}"
                                                                title="{{ localize('Delete') }}">
                                                                <i data-feather="trash"
                                                                    class="me-2"></i>{{ localize('Delete') }}
                                                            </a> 
                                                    </div>
                                                </div>
                                                    </td>
                                                </tr>
                                            @empty
                                            <tr>
                                                <td colspan="7"></td>
                                            </tr>
                                            @endforelse
                                        @endif
                                </tbody>
                            </table>
                             

                        </div>
                    </div>
                </div>

 
                    <form action="{{ route('admin.review.store') }}" method="POST" enctype="multipart/form-data"
                        class="pb-650">
                        @csrf
                        <!--Review info start-->
                        <div class="card mb-4" id="section-2">
                            <div class="card-body">
                                <h5 class="mb-4">{{ localize('Add New Review') }}</h5>

                                <div class="mb-4">
                                    <label for="product" class="form-label">{{ localize('Product') }}</label>
                                    <select class="form-control" name="product">
                                        <option>Select Product</option>
                                        @if(!empty($productlist))
                                            @foreach ($productlist as $product)
                                                <option value="{{ $product->id }}">{{ $product->name }}</option>
                                            @endforeach
                                        @endif
                                    </select>
                                </div>
                                <div class="mb-4">
                                    <label class="form-label">{{ localize('Rating') }}</label>
                                    <select class="select2 form-control" name="rating"
                                        data-minimum-results-for-search="Infinity">
                                        <option value="1">1</option>
                                        <option value="2">2</option>
                                        <option value="3">3</option>
                                        <option value="4">4</option>
                                        <option value="5">5</option>
                                    </select> 
                                </div>
                                <div>
                                    <label class="col-form-label"><span class="text-danger">*</span> Your Review</label>
                                    <textarea class="form-control"  required name="review_text"></textarea>
                                     
                                </div>
                            </div>
                        </div>
                        <!--Review info end-->

                        <div class="row">
                            <div class="col-12">
                                <div class="mb-4">
                                    <button class="btn btn-primary" type="submit">
                                        <i data-feather="save" class="me-1"></i> {{ localize('Save Unit') }}
                                    </button>
                                </div>
                            </div>
                        </div>
                    </form> 
            </div>

            <!--right sidebar-->
            <div class="col-xl-3 order-1 order-md-1 order-lg-1 order-xl-2">
                <div class="card tt-sticky-sidebar">
                    <div class="card-body">
                        <h5 class="mb-4">{{ localize('Review Information') }}</h5>
                        <div class="tt-vertical-step">
                            <ul class="list-unstyled">
                                <li>
                                    <a href="#section-1" class="active">{{ localize('All Review') }}</a>
                                </li> 
                                <li>
                                    <a href="#section-2">{{ localize('Add New Review') }}</a>
                                </li> 
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>
</section>


@push('scripts')

@endpush

</x-backend.app-layout>