 
<div class="row align-items-center g-4 mt-3">
    <form action="{{ route('address.update') }}" method="POST">
        @csrf
        <input type="hidden" name="id" value="{{ $address->id }}">
        <div class="row">
            <div class="col-lg-6">
                <div class="single-input-item">
                    <label for="name" class="required">{{ localize('Name') }}</label>
                    <input type="text" name="name" id="name" value="{{ $address->name }}" required/>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="single-input-item">
                    <label for="country_id" class="required">{{ localize('Country') }}</label>
                    <select  name="country_id" class="nice-select" required>
                        <option selected value="" disabled>{{ localize('Select Country') }}</option>
                        @foreach ($countries as $country)
                            @if($country->id ==101)
                                <option value="{{ $country->id }}" @if ($address->country_id == $country->id) selected @endif>
                                    {{ $country->name }}
                                </option>
                            @endif
                    @endforeach
                    </select>
                </div>
            </div>
            
        </div>
        <div class="row">
            {{-- <div class="col-lg-6">
                <div class="single-input-item">
                    <label for="state_id" class="required">{{ localize('State') }}</label> 
                    <input type="text" name="state_id" value="{{ $address->state }}" required /> 
                </div>
            </div> --}}

            <div class="col-lg-6">
                <div class="single-input-item">
                    <label for="state_id" class="required">{{ localize('State') }}</label>
                    <select  name="state_id" class="nice-select" required>
                        <option selected value="" disabled>{{ localize('Select State') }}</option>
                        @foreach ($states as $state)
                        <option value="{{ $state->name }}" @if ($address->state == $state->name) selected @endif>
                            {{ $state->name }}
                        </option>
                    @endforeach
                    </select>
                </div>
            </div>

            <div class="col-lg-6">
                <div class="single-input-item">
                    <label for="city_id" class="required">{{ localize('City') }}</label> 
                    <input type="text" name="city_id" value="{{ $address->city }}" required />
                </div>
            </div> 
        </div>
        <div class="row">
            <div class="col-lg-6">
                <div class="single-input-item">
                    <label for="phone" class="required">{{ localize('Phone') }}</label>
                    <input type="number" name="phone" id="phone" value="{{ $address->phone }}" required/>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="single-input-item">
                    <label for="pincode" class="required">{{ localize('Pincode') }}</label>
                    <input type="number" name="pincode" value="{{ $address->pincode }}" id="pincode" required/>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12">
                <div class="single-input-item">
                    <label for="address" class="required">{{ localize('Address') }}</label>
                    <textarea rows="4" placeholder="{{ localize('2/5 Elephant Road, New Town') }}" name="address">{{ $address->address }}</textarea>
                </div>
            </div>
        </div>
        <div class="mt-6 d-flex">
            <button type="submit" class="btn btn-sqr">{{ localize('Update') }}</button>
        </div>
    </form>
</div>
