 <!-- footer area start -->
    <footer class="footer-widget-area footer-top">
        <div class=" section-padding">
            <div class="container">
                <div class="row">
                    <div class="col-lg-3 col-md-6">
                        <div class="widget-item">
                            <div class="widget-title">
                                <div class="widget-logo">
                                    <a href="{{ route('home') }}">
                                        <img src="{{ uploadedAsset(getSetting('footer_logo')) }}" alt="brand logo">
                                    </a>
                                </div>
                            </div>
                            <div class="widget-body">
                                <p>We are a team of designers and developers that create high quality wordpress, shopify, Opencart </p>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-3 col-md-6">
                        <div class="widget-item">
                            <h6 class="widget-title">{{ localize('Customer Pages') }}</h6>
                            <div class="widget-body">
                                <address class="contact-block">
                                    <ul>
                                        <li><a href="{{ route('customers.dashboard') }}">{{ localize('Your Account') }}</a></li>
                                        <li><a href="{{ route('customers.orderHistory') }}">{{ localize('Your Orders') }}</a></li>
                                        <li><a href="{{ route('customers.wishlist') }}">{{ localize('Your Wishlist') }}</a></li>
                                        <li><a href="{{ route('customers.address') }}">{{ localize('Address Book') }}</a></li>
                                        <li><a href="{{ route('customers.profile') }}">{{ localize('Update Profile') }}</a></li>
                                    </ul>
                                </address>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-3 col-md-6">
                        <div class="widget-item">
                            <h6 class="widget-title">{{ localize('Category') }}</h6>
                            @php
                                $footer_categories = getSetting('footer_categories') != null ? json_decode(getSetting('footer_categories')) : [];
                                $categories = \App\Models\Category::whereIn('id', $footer_categories)->get();
                            @endphp
                            <div class="widget-body">
                                <ul class="info-list">
                                    @foreach ($categories as $category)
                                        <li><a
                                                href="{{ route('products.index') }}?&category_id={{ $category->id }}">{{ $category->collectLocalization('name') }}</a>
                                        </li>
                                    @endforeach
                                </ul>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-3 col-md-6">
                        <div class="widget-body contact-block">
                            <h6 class="widget-title">{{ localize('Quick Links') }}</h6>
                            @php
                                $quick_links = getSetting('quick_links') != null ? json_decode(getSetting('quick_links')) : [];
                                $pages = \App\Models\Page::whereIn('id', $quick_links)->get();
                            @endphp
                            <ul>
                                 @foreach ($pages as $page)
                                    <li><a
                                            href="{{ route('home.pages.show', $page->slug) }}">{{ $page->collectLocalization('title') }}</a>
                                    </li>
                                @endforeach
                            </div>

                             

                        </div>
                    </div>
                </div>
               
               
            </div>
            <div class="container">
            <div class="row">
                    <div class="col-md-6">
                        <div class="newsletter-wrapper">
                            <h6 class="widget-title-text">{{ localize('Subscribe to the us') }}</h6>
                            
                            <form class="mt-5 d-flex align-items-center rounded subscribe_form newsletter-inner" id="mc-form" action="{{ route('subscribe.store') }}" method="POST">
                            @csrf
                                <input type="email" class="news-field" id="email"  placeholder="{{ localize('Enter Email Address') }}">
                                
                                <button type="submit" class="news-btn flex-shrink-0" id="mc-submit">{{ localize('Subscribe Now') }}</button>
                            </form>
                            <!-- mail-chimp-alerts Start -->
                            <div class="mailchimp-alerts">
                                <div class="mailchimp-submitting"></div><!-- mail-chimp-submitting end -->
                                <div class="mailchimp-success"></div><!-- mail-chimp-success end -->
                                <div class="mailchimp-error"></div><!-- mail-chimp-error end -->
                            </div>
                            <!-- mail-chimp-alerts end -->
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="footer-payment">
                            <img src="assets/img/payment.png" alt="payment method">
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="footer-bottom">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <div class="copyright-text text-center">
                            {!! getSetting('copyright_text') !!}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </footer>
    <!-- footer area end -->