


<!-- offcanvas mini cart start -->
    <div class="offcanvas-minicart-wrapper">
        <div class="minicart-inner">
            <div class="offcanvas-overlay"></div>
            <div class="minicart-inner-content">
                <div class="minicart-close">
                    <i class="pe-7s-close"></i>
                </div>
                <div class="minicart-content-box">
                    <div class="minicart-item-wrapper">
                        <ul>
                            <li>
                                <a href="{{ route('home') }}">{{ localize('Home') }}</a>
                            </li>
                            <li>
                                <a href="{{ route('products.index') }}">{{ localize('Products') }}</a>
                            </li>
                            <li>
                                <a href="{{ route('home.campaigns') }}">{{ localize('Campaigns') }}</a>
                            </li>
                            <li>
                                <a href="{{ route('home.coupons') }}">{{ localize('Coupons') }}</a>
                            </li>

                            <li class="has-submenu">
                                <a href="javascript:void(0)">{{ localize('Pages') }}<span class="ms-1 fs-xs float-end"><i
                                            class="fa-solid fa-angle-right"></i></span></a>
                                <ul>
                                    @php
                                        $pages = [];
                                        if (getSetting('navbar_pages') != null) {
                                            $pages = \App\Models\Page::whereIn('id', json_decode(getSetting('navbar_pages')))->get();
                                        }
                                    @endphp

                                    <li><a href="{{ route('home.blogs') }}">{{ localize('Blogs') }}</a></li>
                                    <li><a href="{{ route('home.pages.aboutUs') }}">{{ localize('About Us') }}</a></li>
                                    <li><a href="{{ route('home.pages.contactUs') }}">{{ localize('Contact Us') }}</a></li>
                                    @foreach ($pages as $navbarPage)
                                        <li><a
                                                href="{{ route('home.pages.show', $navbarPage->slug) }}">{{ $navbarPage->title }}</a>
                                        </li>
                                    @endforeach
                                </ul>
                            </li>
                        </ul>
                    </div>


                @php
                    if (Session::has('locale')) {
                        $locale = Session::get('locale', Config::get('app.locale'));
                    } else {
                        $locale = env('DEFAULT_LANGUAGE');
                    }
                    $currentLanguage = \App\Models\Language::where('code', $locale)->first();
                    
                    if ($currentLanguage == null) {
                        $currentLanguage = \App\Models\Language::where('code', 'en')->first();
                    }
                @endphp


                    <div class="minicart-pricing-box">
                        <ul>
                            <li class="has-submenu">
                                <a href="javascript:void(0)">{{ $currentLanguage->name }}<span class="ms-1 fs-xs float-end"><i
                                            class="fa-solid fa-angle-right"></i></span></a>
                                <ul>
                                    @foreach (\App\Models\Language::where('is_active', 1)->get() as $key => $language)
                                        <li>
                                            <a href="javascript:void(0);" onclick="changeLocaleLanguage(this)"
                                                data-flag="{{ $language->code }}">
                                                {{ $language->name }}
                                            </a>
                                        </li>
                                    @endforeach

                                </ul>
                            </li>
                        </ul>
                    </div>

                    @php
                    if (Session::has('currency_code')) {
                        $currency_code = Session::get('currency_code', Config::get('app.currency_code'));
                    } else {
                        $currency_code = env('DEFAULT_CURRENCY');
                    }
                    $currentCurrency = \App\Models\Currency::where('code', $currency_code)->first();
                    
                    if ($currentCurrency == null) {
                        $currentCurrency = \App\Models\Currency::where('code', 'usd')->first();
                    }
                @endphp

                <li class="has-submenu">
                    <a href="javascript:void(0)" class="text-uppercase">{{ $currentCurrency->symbol }}
                        {{ $currentCurrency->code }}<span class="ms-1 fs-xs float-end"><i
                                class="fa-solid fa-angle-right"></i></span></a>
                    <ul>
                        @foreach (\App\Models\Currency::where('is_active', 1)->get() as $key => $currency)
                            <li>
                                <a class="text-uppercase" href="javascript:void(0);"
                                    onclick="changeLocaleCurrency(this)" data-currency="{{ $currency->code }}">
                                    {{ $currency->symbol }} {{ $currency->code }}
                                </a>
                            </li>
                        @endforeach

                    </ul>
                </li>

                @auth
                    <li>
                        <a href="{{ route('logout') }}">{{ localize('Sign Out') }}</a>
                    </li>
                @endauth
                @guest
                    <li>
                        <a href="{{ route('login') }}">{{ localize('Sign In') }}</a>
                    </li>
                @endguest

                    <div class="minicart-button">
                        <a href="cart.html"><i class="fa fa-shopping-cart"></i> View Cart</a>
                        <a href="cart.html"><i class="fa fa-share"></i> Checkout</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- offcanvas mini cart end -->
