<x-frontend.app-layout>

@section('title')
    {{ localize('About Us') }} {{ getSetting('title_separator') }} {{ getSetting('system_title') }}
@endsection
  
        <main>
         <!-- breadcrumb area start -->
         <div class="breadcrumb-area">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <div class="breadcrumb-wrap">
                            <nav aria-label="breadcrumb">
                                <ul class="breadcrumb"> 
                                    <h2 class="breadcrumb-item active" aria-current="page">About US</h2>
                                </ul>
                            </nav>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- breadcrumb area end -->

        <!-- about us area start -->
        <section class="about-us section-padding">
            <div class="container">
                <div class="row align-items-center">
                    <div class="col-lg-5">
                        <div class="about-thumb">
                            <img src="{{ uploadedAsset(getSetting('about_intro_image')) }}" alt="about thumb">
                        </div>
                    </div>
                    <div class="col-lg-7">
                        <div class="about-content">
                            <h2 class="about-title">{{ getSetting('about_intro_sub_title') }} </h2>
                            <h5 class="about-sub-title">
                                {!! getSetting('about_intro_title') !!}
                            </h5>
                            <p>{{ getSetting('about_intro_text') }}</p>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- about us area end -->

        <!-- choosing area start -->
        <div class="choosing-area section-padding bg-light">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <div class="section-title text-center">
                            <h2 class="title mb-2">{{ getSetting('about_why_choose_sub_title') }}</h2>
                            <p>{!! getSetting('about_why_choose_title') !!}</p>
                        </div>
                    </div>
                </div>
                <div class="row mbn-30">
                @foreach ($why_choose_us as $each_why_choose_us)
                    <div class="col-lg-4 col-md-4">
                        <div class="single-choose-item text-center mb-30">
                            <img src="">
                            <h4>{{ $each_why_choose_us->title }}</h4>
                            <p>{{ $each_why_choose_us->text }}</p>
                        </div>
                    </div>
                @endforeach 
                </div>
            </div>
        </div>
        <!-- choosing area end -->
 

        <!-- team area start -->
        <div class="team-area section-padding">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <div class="section-title text-center">
                            <h2 class="title">{{ localize('The Most Popular Brands') }}</h2> 

                        </div>
                    </div>
                </div>
                <div class="row mbn-30">
                    @php
                        $about_popular_brand_ids = getSetting('about_popular_brand_ids') != null ? json_decode(getSetting('about_popular_brand_ids')) : [];
                        $brands = \App\Models\Brand::whereIn('id', $about_popular_brand_ids)->get();
                    @endphp
                    @foreach ($brands as $brand)
                        <div class="col-lg-3 col-md-6 col-sm-6">
                            <div class="team-member mb-30">
                                <div class="team-thumb">
                                    <img src="{{ uploadedAsset($brand->collectLocalization('brand_image')) }}" alt="">
                                    <div class="team-social">
                                        <a href="#"><i class="fa fa-facebook"></i></a>
                                        <a href="#"><i class="fa fa-twitter"></i></a>
                                        <a href="#"><i class="fa fa-linkedin"></i></a>
                                        <a href="#"><i class="fa fa-google-plus"></i></a>
                                    </div>
                                </div>
                                 
                            </div>
                        </div> <!-- end single team member -->
                    @endforeach
 
                </div>
            </div>
        </div>
        <!-- team area end -->
    </main>

 
  

</x-frontend.app-layout>