<x-frontend.app-layout>

@section('title')
    {{ localize('Customer Dashboard') }} {{ getSetting('title_separator') }} {{ getSetting('system_title') }}
@endsection
 

     <main> 

        <!-- my account wrapper start -->
        <div class="my-account-wrapper section-padding">
            <div class="container">
                <div class="section-bg-color">
                    <div class="row">
                        <div class="col-lg-12">
                            <!-- My Account Page Start -->
                            <div class="myaccount-page-wrapper">
                                <!-- My Account Tab Menu Start -->
                                <div class="row">
                                    <div class="col-lg-3 col-md-4">
                                        <div class="myaccount-tab-menu nav" role="tablist">
                                            <a href="#dashboad" class="active" data-bs-toggle="tab"><i class="fa fa-dashboard"></i>
                                                Dashboard</a>
                                            <a href="#orders" data-bs-toggle="tab"><i class="fa fa-cart-arrow-down"></i>
                                                Orders</a>

                                            <a href="#address" data-bs-toggle="tab"><i class="fa fa-cart-arrow-down"></i>
                                                Address Book</a>
                                             
                                            <a href="#account-info" data-bs-toggle="tab"><i class="fa fa-user"></i> Account
                                                Details</a>
                                            <a href="{{ route('logout') }}"><i class="fa fa-sign-out"></i> Logout</a>
                                        </div>
                                    </div>
                                    <!-- My Account Tab Menu End -->

                                    <!-- My Account Tab Content Start -->
                                    <div class="col-lg-9 col-md-8">
                                        <div class="tab-content" id="myaccountContent">
                                            <!-- Single Tab Content Start -->
                                            <div class="tab-pane fade show active" id="dashboad" role="tabpanel">
                                                <div class="myaccount-content">
                                                    <h5>Dashboard</h5>
                                                    <div class="welcome">
                                                        <p>Hello, <strong>{{auth()->user()->name}}</strong> (If Not <strong>{{auth()->user()->name}}
                                                            !</strong><a href="{{ route('logout') }}" class="logout"> Logout</a>)</p>
                                                    </div>
                                                    <p class="mb-0"> </p>
                                                </div>
                                            </div>
                                            <!-- Single Tab Content End -->

                                            <!-- Single Tab Content Start -->
                                            <div class="tab-pane fade" id="orders" role="tabpanel">
                                                <div class="myaccount-content">
                                                    <h5>{{ localize('Recent Orders') }}</h5> 
                                                    @php
                                                        $recentOrders = \App\Models\Order::where('user_id', auth()->user()->id)
                                                            ->get();
                                                    @endphp 
                                                    <div class="myaccount-table table-responsive text-center">
                                                        <table class="table table-bordered">
                                                            <thead class="thead-light">
                                                                <tr>
                                                                    <th>{{ localize('Order Code') }}</th>
                                                                    <th>{{ localize('Placed on') }}</th>
                                                                    <th>{{ localize('Items') }}</th>
                                                                    <th>{{ localize('Total') }}</th>
                                                                    <th>{{ localize('Status') }}</th>
                                                                    <th class="text-center">{{ localize('Action') }}</th>
                                                                </tr>
                                                            </thead>
                                                            <tbody> 
                                                                @foreach ($recentOrders as $recentOrder)
                                                                    <tr>
                                                                        <td>{{ getSetting('order_code_prefix') }}{{ $recentOrder->order_code ?? '' }}
                                                                        </td>
                                                                        <td>{{ date('d M, Y', strtotime($recentOrder->created_at)) }}</td>
                                                                        <td>{{ $recentOrder->orderItems()->count() }}</td> 
                                                                        <td class="text-secondary">
                                                                            {{getCurrencySymbol()}} {{  $recentOrder->grand_total_amount ?? '' }}</td>
                                                                        <td>   
                                                                        @if($recentOrder->order_status == '1')
                                                                            <span class="badge badge bg-success">Deliverd</span>
                                                                        @elseif ($recentOrder->order_status == '2')
                                                                            <span class="badge badge bg-danger">Cancelled</span>
                                                                        @elseif ($recentOrder->order_status == '3')
                                                                            <span class="badge badge bg-primary">Placed</span>
                                                                        @elseif ($recentOrder->order_status == '4')
                                                                            <span class="badge badge bg-warning">Failed</span>
                                                                        @elseif ($recentOrder->order_status == '5')
                                                                            <span class="badge badge bg-primary">Pending</span>
                                                                        @endif  
                                                                        </td>
                                                                        <td class="text-center">
                                                                            {{-- {{ route('customers.trackOrder') }}?code={{ $recentOrder->order_code }} --}}
                                                                        <a href="#"  class="btn btn-sqr">{{ localize('Track Order') }}</a>

                                                                        <a href="{{ route('checkout.invoice', $recentOrder->order_code ?? '') }}" class="btn btn-sqr">{{ localize('Download Invoice') }}</a>
 
                                                                        </td>
                                                                    </tr>
                                                                @endforeach
                                                            </tbody>
                                                        </table>
                                                    </div>
                                                </div>
                                            </div>
                                            <!-- Single Tab Content End -->

                                            <!-- Single Tab Content Start -->
                                            {{-- <div class="tab-pane fade" id="download" role="tabpanel">
                                                <div class="myaccount-content">
                                                    <h5>Downloads</h5>
                                                    <div class="myaccount-table table-responsive text-center">
                                                        <table class="table table-bordered">
                                                            <thead class="thead-light">
                                                                <tr>
                                                                    <th>Product</th>
                                                                    <th>Date</th>
                                                                    <th>Expire</th>
                                                                    <th>Download</th>
                                                                </tr>
                                                            </thead>
                                                            <tbody>
                                                                <tr>
                                                                    <td>Haven - Free Real Estate PSD Template</td>
                                                                    <td>Aug 22, 2018</td>
                                                                    <td>Yes</td>
                                                                    <td><a href="#" class="btn btn-sqr"><i
                                                                        class="fa fa-cloud-download"></i>
                                                                            Download File</a></td>
                                                                </tr>
                                                                <tr>
                                                                    <td>HasTech - Profolio Business Template</td>
                                                                    <td>Sep 12, 2018</td>
                                                                    <td>Never</td>
                                                                    <td><a href="#" class="btn btn-sqr"><i
                                                                        class="fa fa-cloud-download"></i>
                                                                            Download File</a></td>
                                                                </tr>
                                                            </tbody>
                                                        </table>
                                                    </div>
                                                </div>
                                            </div> --}}
                                            <!-- Single Tab Content End --> 

                                            <!-- Single Tab Content Start -->
                                            {{-- <div class="tab-pane fade" id="payment-method" role="tabpanel">
                                                <div class="myaccount-content">
                                                    <h5>Payment Method</h5>
                                                    <p class="saved-message">You Can't Saved Your Payment Method yet.</p>
                                                </div>
                                            </div> --}}
                                            <!-- Single Tab Content End -->

                                            <!-- Single Tab Content Start -->
                                            <div class="tab-pane fade" id="address" role="tabpanel">
                                                <div class="myaccount-content">
                                                    <div class="d-flex justify-content-between">
                                                        <h5>Billing Address</h5>
                                                        <h5><a href="javascript:void(0);" onclick="addNewAddress()"  ><i class="fas fa-plus me-1"></i> Add Address </a></h5>
                                                    </div>
                                                    <div class="row">
                                                        @foreach ($addresses as $addresse)
                                                        <div class="col-4">
                                                            <address>
                                                                <p><strong>{{ $addresse->name }}</strong></p>
                                                                <p>{{$addresse->address}}<br/> {{ $addresse->state }}{{ $addresse->city }}</p>
                                                                <p>Pincode: {{ $addresse->pincode }}</p>
                                                                <p>Mobile: {{ $addresse->phone }}</p>
                                                            </address>
                                                            <a href="javascript:void(0);" onclick="editAddress({{ $addresse->id }})" class="btn btn-sqr tt-edit-address"><i class="fa fa-edit"></i></a>
  
                                                            <a href="javascript:void(0);" data-url="{{ route('address.delete', $addresse->id) }}"  onclick="deleteAddress(this)" class="btn btn-sqr"><i class="fa fa-trash"></i></a>
 
                                                        </div> 
                                                        @endforeach
                                                        
                                                    </div>
                                                </div>
                                            </div>
                                            <!-- Single Tab Content End -->

                                            <!-- Single Tab Content Start -->
                                            <div class="tab-pane fade" id="account-info" role="tabpanel">
                                                <div class="myaccount-content">
                                                    <h5>Account Details</h5>
                                                    <div class="account-details-form">
                                                         <form class="profile-form" action="{{ route('customers.updateProfile') }}" method="POST" enctype="multipart/form-data">
                                                            @csrf
                                                            <input type="hidden" name="type" value="info">

                                                            <div class="row">
                                                                <div class="col-lg-6">
                                                                    <div class="single-input-item">
                                                                        <label for="name" class="required">
                                                                            Name</label>
                                                                        <input type="text" value="{{auth()->user()->name}}" id="name" name="name" placeholder="Name" />
                                                                    </div>
                                                                </div>
                                                                <div class="col-lg-6">
                                                                    <div class="single-input-item">
                                                                        <label for="email" class="required">Email</label>
                                                                        <input type="email" name="email" value="{{auth()->user()->email}}" id="email" placeholder="email" />
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="single-input-item">
                                                                <label for="phone" class="required">Phone</label>
                                                                <input type="text" id="phone" value="{{auth()->user()->phone}}" placeholder="Phone" />
                                                            </div>
                                                            <div class="single-input-item">
                                                                <button class="btn btn-sqr" type="submit">Update Profile</button>
                                                            </div>
                                                        </form>
                                                        <form class="password-reset-form" action="{{ route('customers.updateProfile') }}" method="POST">
                                                        @csrf
                                                            <input type="hidden" name="type" value="password">
                                                            <fieldset>
                                                                <legend>Password change</legend>
                                                                 
                                                                <div class="row">
                                                                    <div class="col-lg-6">
                                                                        <div class="single-input-item">
                                                                            <label for="new-pwd" class="required">New
                                                                                Password</label>
                                                                            <input type="password" id="password" placeholder="New Password" />
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-lg-6">
                                                                        <div class="single-input-item">
                                                                            <label for="password_confirmation" class="required">Confirm
                                                                                Password</label>
                                                                            <input type="password" name="password_confirmation" id="password_confirmation" placeholder="Confirm Password" />
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </fieldset>
                                                            <div class="single-input-item">
                                                                <button class="btn btn-sqr" type="submit">Change Password</button>
                                                            </div>
                                                        </form>
                                                    </div>
                                                </div>
                                            </div> <!-- Single Tab Content End -->
                                        </div>
                                    </div> <!-- My Account Tab Content End -->
                                </div>
                            </div> <!-- My Account Page End -->
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- my account wrapper end -->
    </main>

     <!-- review modal start -->
   <div class="modal fade" id="addAddressModal" tabindex="-1" aria-labelledby="addAddressModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header mt-3">
          <h5 class="modal-title" id="addAddressModalLabel">Add Address</h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body">
              <form action="{{ route('address.store') }}" method="POST" class="review-form">
                    @csrf 
                    <div class="row">
                        <div class="col-lg-6">
                            <div class="single-input-item">
                                <label for="name" class="required">{{ localize('Name') }}</label>
                                <input type="text" name="name" id="name" required/>
                            </div>
                        </div>
                        <div class="col-lg-6">
                            <div class="single-input-item">
                                <label for="country_id" class="required">{{ localize('Country') }}</label>
                                <select  name="country_id" required>
                                    <option>{{ localize('Select Country') }}</option>
                                    @foreach ($countries as $country)
                                        <option value="{{ $country->id }}">{{ $country->name }}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        
                    </div>
                    <div class="row">
                        <div class="col-lg-6">
                            <div class="single-input-item">
                                <label for="state_id" class="required">{{ localize('State') }}</label> 
                                <input type="text" name="state_id" required /> 
                            </div>
                        </div>
                        <div class="col-lg-6">
                            <div class="single-input-item">
                                <label for="city_id" class="required">{{ localize('City') }}</label> 
                                <input type="text" name="city_id" required />
                            </div>
                        </div> 
                    </div>
                    <div class="row">
                        <div class="col-lg-6">
                            <div class="single-input-item">
                                <label for="phone" class="required">{{ localize('Phone') }}</label>
                                <input type="number" name="phone" id="phone" required/>
                            </div>
                        </div>
                        <div class="col-lg-6">
                            <div class="single-input-item">
                                <label for="pincode" class="required">{{ localize('Pincode') }}</label>
                                <input type="number" name="pincode" id="pincode" required/>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="single-input-item">
                                <label for="address" class="required">{{ localize('Address') }}</label>
                                <textarea rows="4" placeholder="{{ localize('2/5 Elephant Road, New Town') }}" name="address"></textarea>
                            </div>
                        </div>
                    </div>
                    <button type="submit" class="btn btn-sqr">Save</button> 
            </form> <!-- end of review-form -->
        </div>
      </div>
    </div>
  </div>
  

  <div class="modal fade deleteAddressModal" id="deleteAddressModal">
    <div class="modal-dialog address-delete-modal modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-body">
                <button type="button" class="btn-close float-end" data-bs-dismiss="modal" aria-label="Close"></button>
                <div class="bg-white rounded-3 py-6 px-4">
                    <h2 class="modal-title fs-5 mb-3">{{ localize('Delete Address') }}</h2>
                    <div class="pt-6 pb-8 text-center">
                        <h6>{{ localize('Want to delete this address?') }}</h6>
                    </div>
                    <div class="text-center">
                        <a href="" class="btn btn-secondary delete-address-link">{{ localize('Delete') }}</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="modal fade editAddressModal" id="editAddressModal">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-body">
                <button type="button" class="btn-close float-end" data-bs-dismiss="modal" aria-label="Close"></button>
                <div class="gstore-product-quick-view bg-white rounded-3 py-6 px-4">
                    <h2 class="modal-title fs-5 mb-3">{{ localize('Update Address') }}</h2>

                    <div class="spinner pt-6 pb-8 d-none">
                        <div class="row align-items-center g-4 mt-3">
                            <div class="d-flex justify-content-center">
                                <div class="spinner-border" role="status">
                                    <span class="visually-hidden">Loading...</span>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="edit-address d-none">

                    </div>
                </div>
            </div>
        </div>
    </div>
</div> 


    
 @push('scripts')
        <script>
            //  new address
         function addNewAddress() {
             $('#addAddressModal').modal('show'); 
         }

         //  get states on country change
         $(document).on('change', '[name=country_id]', function() {
             var country_id = $(this).val();
             getStates(country_id);
         });
         
         //  delete address
         function deleteAddress(thisAnchorTag) {
             $('#deleteAddressModal').modal('show');
             $('.delete-address-link').prop('href', $(thisAnchorTag).data('url'));
         }


          //  edit address
          function editAddress(addressId) {
             $('#editAddressModal').modal('show');
             $('.spinner').removeClass('d-none');
             $('.edit-address').addClass('d-none');

             parent = '.editAddressModal';
             getAddress(addressId);
         }

         //  get edit address
         function getAddress(addressId) {
             $.ajax({
                 headers: {
                     'X-CSRF-TOKEN': '{{ csrf_token() }}'
                 },
                 url: "{{ route('address.edit') }}",
                 type: 'POST',
                 data: {
                     addressId: addressId
                 },
                 success: function(response) {
                     $('.spinner').addClass('d-none');
                     $('.edit-address').html(response);
                     $('.edit-address').removeClass('d-none');
                     addressModalSelect2(parent);
                 }
             });
         }

        </script>
    @endpush
</x-frontend.app-layout>