<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="csrf-token" content="{{ csrf_token() }}" />
  <meta name="description" content="{{ getSetting('global_meta_description') }}">
  <meta name="keywords" content="{{ getSetting('global_meta_keywords') }}">
  
   <!--favicon icon-->
   <link rel="icon" href="{{ uploadedAsset(getSetting('favicon')) }}" type="image/png" sizes="16x16">
 <link rel="stylesheet" href="{{ asset('assets/css/jquery.toast.min.css') }}">
   <!--title-->
   <title>@yield('title')</title>

   @php
        // for visitors to add to cart
        $tempValue = strtotime('now') . rand(10, 1000);
        $theTime = time() + 86400 * 365;
        if (!isset($_COOKIE['guest_user_id'])) {
            setcookie('guest_user_id', $tempValue, $theTime, '/'); // 86400 = 1 day
        }
        
    @endphp
   
   @yield('meta')
   <!--Css Block Start-->
    @include('frontend.inc.style')
   <!--Css Block End-->
</head>

<body> 
 
    <!--Header Section Start-->
        @if($categories)
            @include('frontend.inc.header',['categories' => $categories])
        @endif
    <!--Header Section End-->

    <!-- Page Content -->
    {{ $slot }}

    <!--Footer Section Start-->
    @include('frontend.inc.footer')
    <!--Footer Section End-->

    @include('frontend.partials.quickViewModal')
    
    <!--Script Section Start-->
    @include('frontend.inc.script')
    <!--Script Section End-->
    @stack('scripts')
  

</body>

</html>