<x-frontend.app-layout>

    @section('title')
    {{ localize('Home') }} {{ getSetting('title_separator') }} {{ localize('Cart') }}
    @endsection 
  
        <main> 
            <!-- breadcrumb area start -->
            <div class="breadcrumb-area">
                <div class="container">
                    <div class="row">
                        <div class="col-12">
                            <div class="breadcrumb-wrap">
                                <nav aria-label="breadcrumb">
                                    <ul class="breadcrumb"> 
                                        <li class="breadcrumb-item active" aria-current="page">Cart</li>
                                    </ul>
                                </nav>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- breadcrumb area end -->
            
            <!-- cart main wrapper start -->
            <div class="cart-main-wrapper section-padding">
                <div class="container">
                    <div class="section-bg-color">
                        <div class="row">
                            <div class="col-lg-12">
                                <!-- Cart Table Area -->
                                <div class="cart-table table-responsive">
                                    <table class="table table-bordered">
                                        <thead>
                                            <tr>
                                                <th class="pro-thumbnail">Image</th>
                                                <th class="pro-title">Product</th>
                                                <th class="pro-price">Price</th>
                                                <th class="pro-quantity">Quantity</th>
                                                <th class="pro-subtotal">Total</th>
                                                <th class="pro-remove">Remove</th>
                                            </tr>
                                        </thead>
                                        <tbody class="table_cart"> 
                                        @php
                                            $sub = $tot = 0;
                                        @endphp
                                        @forelse ($carts as $k=>$cart)  
    
                                            <tr >
                                                <td class="pro-thumbnail">
                                                <a href="{{ route('products.show', $cart->product->slug) }}">
                                                    <img class="img-fluid" src="{{uploadedAsset($cart->product->thumbnail_image)}}" alt="{{$cart->product->collectLocalization('name')}}" />
                                                </a>
                                                </td>
                                                
                                                <td class="pro-title">
                                                <a href="{{ route('products.show', $cart->product->slug) }}">{{$cart->product->collectLocalization('name')}}</a>
                                                <br/>
                                                @forelse (generateVariationOptions($cart->product_variation->combinations) as $variation)
                                                    <span class="fs-xs">
                                                        {{ $variation['name'] }}:
                                                        @foreach ($variation['values'] as $value)
                                                            {{ $value['name'] }}
                                                        @endforeach
                                                        @if (!$loop->last)
                                                            ,
                                                        @endif
                                                    </span>
                                                @empty
                                                @endforelse
                                                </td>

                                                <td class="pro-price" id="">
                                                    <span> 
                                                        {{ formatPrice(variationDiscountedPrice($cart->product_variation->product ?? '', $cart->product_variation)) }}
                                                    </span>
                                                </td>

                                                <td class="pro-quantity">
                                                    <div class="pro-qty">
                                                        <input type="text" value="{{ $cart->qty }}" data-min_val="{{$cart->product->minimum_quantity ?? 1}}" class="quantity qty_val" name="quantity" data-attr="{{$cart->id}}" data-product="{{$cart->product->increment_unit}}">
                                                    </div>
                                                </td>
                                                @php 
                                                    $price = variationDiscountedPrice($cart->product_variation->product, $cart->product_variation) * $cart->qty;
                                                    $tot += $price;
                                                @endphp
                                                <input type="hidden" value="{{$price}}" id="subprice_{{$k+1}}"/>
                                                <td class="pro-subtotal" id="fixPrice_{{$k+1}}"><span>{{getCurrencySymbol()}} {{$price}}</span></td>
                                                <td class="pro-remove">
                                                <button type="button" class="close-btn ms-3" onclick="handleCartItem('delete','product',{{ $cart->id }})"> <i class="fa fa-trash" aria-hidden="true"></i>
                                                </button></td>
                                            </tr> 
    
                                         @empty
                                            <tr>
                                                <td colspan="6" class="py-4">{{ localize('There is no product in cart') }}</td>
                                            </tr>
                                        @endforelse
                                        </tbody>
                                    </table>
                                </div>
                                <!-- Cart Update Option -->
                                {{-- @if(!empty($carts) && sizeof($carts)>0)
                                <div class="cart-update-option d-block d-md-flex justify-content-between">
                                    <div class="apply-coupon-wrapper">
                                        <form action="#" method="post" class=" d-block d-md-flex">
                                            <input type="text" placeholder="Enter Your Coupon Code" required />
                                            <button class="btn btn-sqr">Apply Coupon</button>
                                        </form>
                                    </div> 
                                </div> 
                                @endif --}}
    
                            </div>
                        </div>
    
                        @if(!empty($carts) && sizeof($carts)>0)
                        <div class="row">
                            <div class="col-lg-5 ml-auto">
                                <!-- Cart Calculation Area -->
                                <div class="cart-calculator-wrapper">
                                    <div class="cart-calculate-items">
                                        <h6>Cart Totals</h6>
                                        <div class="table-responsive">
                                            <table class="table">
                                               
                                                <tr class="total">
                                                    <td>Total</td>
                                                    <td class="total-amount">{{getCurrencySymbol()}} {{$tot}}</td>
                                                </tr>
                                            </table>
                                        </div>
                                    </div>
                                    <a href="{{route('checkout.proceed')}}" class="btn btn-sqr d-block">Proceed Checkout</a>
                                </div>
                            </div>
                        </div>
                        @endif
                    </div>
                </div>
            </div>
            <!-- cart main wrapper end -->
        </main>
    
    @push('scripts')
        <script>
    
            $('.quantity').on('blur',function () {
                var inputValue = $(this).val();
              
                var cartid = $(this).data('attr');
                
                handleCartItem('input',inputValue, cartid)
            });
    
            $('.qtybtn').on('click',function () {
            
                var inputElement = $(this).closest('.pro-qty').find('input.quantity');

                var inputValue = inputElement.val();
                var cartid = inputElement.data('attr');

                handleCartItem('input',inputValue, cartid)
            });
        
        // handleCartItem
        function handleCartItem(action,type,id) {
            let data = {
                _token: "{{ csrf_token() }}",
                action: action,
                id: id,
                type:type,
            };
    
            $.ajax({
                type: "POST",
                url: '{{ route('carts.update') }}',
                data: data,
                success: function(data) { 
                    notifyMe('success' , 'Update Cart Product !!');
                    setTimeout(function () {
                        location.reload();
                    }, 1000);
                    
                }
            });
        }
            
    </script>
    @endpush
    </x-frontend.app-layout>