<x-frontend.app-layout>
    @section('title')
    {{ localize('Checkout') }} {{ getSetting('title_separator') }} {{ getSetting('system_title') }}
    @endsection
    <!-- checkout section-->
    <div class="space-5"></div>

    <main>
        <!-- checkout main wrapper start -->
        <div class="checkout-page-wrapper section-padding">
            <div class="container">
                @guest
                <div class="row">
                    <div class="col-12">
                        <!-- Checkout Login Coupon Accordion Start -->
                        <div class="checkoutaccordion" id="checkOutAccordion">
                            <div class="card">
                                <h6>Returning Customer? <span data-bs-toggle="collapse" data-bs-target="#logInaccordion">Click
                                            Here To Login</span></h6>
                                <div id="logInaccordion" class="collapse" data-parent="#checkOutAccordion">
                                    <div class="card-body">
                                        <p>If you have shopped with us before, please enter your details in the boxes
                                            below. If you are a new customer, please proceed to the Billing &amp;
                                            Shipping section.</p>
                                        <div class="login-reg-form-wrap mt-20">
                                            <div class="row">
                                                <!-- Login Content Start -->
                                                <div class="col-lg-7 m-auto">
                                                   
                                                    <form class="needs-validation" novalidate  action="{{ route('login') }}" method="POST" id="login-form">
                                                        @csrf
                                                        <input type="hidden" name="login_with" class="login_with" value="email">
                                                        <input type="hidden" name="login_source"  value="{{ url()->full() }}">
                
                                                        <div class="login-email single-input-item @if (old('login_with') == 'phone') d-none @endif">
                                                            <input type="email" class="form-control" name="email" value="{{ old('email') }}" autocomplete="off" placeholder="Email" required />
                                                            <small class="">
                                                                <a href="javascript:void(0);" class="fs-sm login-with-phone-btn"
                                                                    onclick="handleLoginWithPhone()">
                                                                    {{ localize('Login with phone?') }}
                                                                </a>
                                                            </small>
                                                        </div>
                    
                                                        <div class="login-phone single-input-item @if (old('login_with') == 'email' || old('login_with') == '') d-none @endif">
                                                            <input type="text" autocomplete="off" class="form-control" placeholder="Phone" name="phone" value="{{ old('phone') }}"  />
                    
                                                            <small class="">
                                                                <a href="javascript:void(0);" class="fs-sm login-with-email-btn"
                                                                    onclick="handleLoginWithEmail()">
                                                                    {{ localize('Login with email?') }}</a>
                                                            </small>
                                                        </div>
                    
                                                        <div class="single-input-item">
                                                            <input type="password" class="form-control" autocomplete="off" name="password" placeholder="Enter your Password" required />
                                                        </div>
                                                        <div class="single-input-item">
                                                            <div class="login-reg-form-meta d-flex align-items-center justify-content-between">
                                                                <div class="remember-meta">
                                                                    <div class="custom-control custom-checkbox">
                                                                        <input type="checkbox" class="custom-control-input" name="remember" id="rememberMe">
                                                                        <label class="custom-control-label" for="rememberMe">Remember Me</label>
                                                                    </div>
                                                                </div>
                                                                <a href="{{ route('password.request') }}" class="forget-pwd">Forget Password?</a>
                                                            </div>
                                                        </div>
                                                        <div class="single-input-item">
                                                            <button class="btn btn-sqr sign-in-btn" type="submit">Login</button>
                                                        </div>
                                                    </form>
                    
                                                    <div class="single-input-item">
                                                        <div class="login-reg-form-meta d-flex align-items-center justify-content-center">
                                                            <a href="{{route('register')}}" class="forget-pwd"> New to Trityaa Jewellery? Create an Account</a>
                                                        </div>
                                                    </div>
                                                </div>
                                                <!-- Login Content End -->                     
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- Checkout Login Coupon Accordion End -->
                    </div>
                </div>
                @endguest


                @if(!empty($userObj->addresses) && sizeof($userObj->addresses)>0)
                    <button type="button" class="btn btn-sqr address_button my-2" data-bs-toggle="modal" data-bs-target="#AddAddressModal">+ Add New Address</button>
                @endif

                <form id="checkout-form" class="needs-validation" novalidate action="{{ route('checkout.complete') }}" method="POST">
                    @csrf
                    <div class="row">
                        <!-- Checkout Billing Details -->
                        <div class="col-lg-6">
                            <div class="checkout-billing-details-wrap">
                                <h5 class="checkout-title">Billing Address</h5>
                                <div class="billing-form-wrap">
                                @if(!empty($userObj->addresses) && sizeof($userObj->addresses)>0)
                                    <div class="row address_book_wrapper">
                                        @forelse ($userObj->addresses as $addressItem)
                                        <div class="col-6 my-2">
                                            <label class="card bg-gray p-3">
                                                <input name="address_id"  @if ($addressItem->is_default =="1") checked @endif  onclick="radioLocationtaker(this)" data="{{$addressItem->state ?? ''}}"  class="address_radio radio" type="radio" value="{{$addressItem->id}}">
                                                <p>{{$addressItem->name ?? ''}}</p>
                                                <p>{{$addressItem->address ?? ''}}</p>
                                                <p>{{$addressItem->city ?? ''}}, {{$addressItem->state ?? ''}}</p>
                                                <p>{{$addressItem->country->name ?? ''}} - {{$addressItem->pincode ?? ''}}</p>
                                                <p>{{$addressItem->phone ?? ''}}</p>
                                            </label>
                                        </div>
                                        @empty
                                        @endforelse
                                    </div>  
                                @else
                                    <div class="row">
                                        <div class="col-12">
                                            <div class="single-input-item">
                                                <label for="billing_customer_name" class="required">Customer Name</label>
                                                <input type="text" value="{{ old('billing_customer_name', auth()->check() ? auth()->user()->name : '') }}"
                                                    class="form-control" name="billing_customer_name"
                                                     placeholder="" required>
                                                @error('billing_customer_name')
                                                <p class="text-danger">{{ $message }}</p>
                                                @enderror
                                            </div>
                                        </div>
                                    </div>

                                    <div class="row">
                                        <div class="col-6">
                                            <div class="single-input-item">
                                                <label for="billing_customer_phone" class="required">Phone</label>
                                                <input type="text" class="form-control"
                                                    value="{{ old('billing_customer_phone', auth()->check() ? auth()->user()->phone : '') }}" name="billing_customer_phone"
                                                    placeholder="" required>
                                                @error('billing_customer_phone')
                                                <p class="text-danger">{{ $message }}</p>
                                                @enderror
                                            </div>
                                        </div>
                                        <div class="col-6">
                                            <div class="single-input-item">
                                                <label for="billing_customer_email">Email Address</label>
                                                <input type="email" class="form-control" name="billing_customer_email"
                                                    value="{{ old('billing_customer_email', auth()->check() ? auth()->user()->email : '') }}"
                                                    placeholder="" id="billing_customer_email">
                                                @error('billing_customer_email')
                                                    <p class="text-danger">{{ $message }}</p>
                                                @enderror
                                            </div>
                                        </div>

                                        <div class="col-12">
                                            <div class="single-input-item">
                                                <label for="billing_customer_address" class="required">Street Address</label>
                                                <input type="text" class="form-control" name="billing_customer_address"
                                                    value="{{old('billing_customer_address')}}" placeholder="" required>
                                                @error('billing_customer_address')
                                                <p class="text-danger">{{ $message }}</p>
                                                @enderror
                                            </div>
                                        </div>

                                    </div>

                                    <div class="row">

                                        <div class="col-6">
                                            <div class="single-input-item">
                                                <label for="billing_customer_country" class="required">Country</label>
                                                <select class="form-control" name="billing_customer_country" id="billing_customer_country" required>
                                                    @if(!empty($countries))
                                                        @foreach ($countries as $countrie)
                                                            @if($countrie->id==101)
                                                                <option value="{{ $countrie->id }}" selected >{{ $countrie->name }}</option>
                                                            @endif
                                                        @endforeach
                                                    @endif
                                                </select>
                                            </div>
                                        </div>

                                        <div class="col-6">
                                            <div class="single-input-item">
                                                <label for="billing_customer_state" class="required">State</label>
                                                {{-- <input type="text" class="form-control" onkeyup="Locationtaker(this)" name="billing_customer_state" id="billing_customer_state"
                                                    value="{{old('billing_customer_state')}}" placeholder="" required> --}}

                                                <select id="billing_customer_state" onchange="Locationtaker(this)"  class="" name="billing_customer_state" required>
                                                    @if(!empty($states))
                                                        @foreach ($states as $state)
                                                            <option value="{{ $state->name }}" @if($state->id==4) selected @endif>{{ $state->name }}</option> 
                                                        @endforeach
                                                    @endif
                                                </select>

                                            </div>
                                        </div>
                                    </div>

                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="single-input-item">
                                                <label for="billing_customer_city" class="required">Town / City</label>
                                                <input type="text" class="form-control" name="billing_customer_city"
                                                    value="{{old('billing_customer_city')}}" placeholder="" required>
                                                @error('billing_customer_city')
                                                <p class="text-danger">{{ $message }}</p>
                                                @enderror
                                            </div>
                                        </div>

                                        <div class="col-md-6">
                                            <div class="single-input-item">
                                                <label for="billing_customer_postcode" class="required">Postcode / ZIP</label>
                                                <input type="text" class="form-control" name="billing_customer_postcode"
                                                    value="{{old('billing_customer_postcode')}}" placeholder="" required>
                                                @error('billing_customer_postcode')
                                                    <p class="text-danger">{{ $message }}</p>
                                                @enderror
                                            </div>
                                        </div>
                                    </div>
                                @endif
                                    

                                <div class="checkout-box-wrap">
                                    <div class="single-input-item">
                                        <div class="custom-control custom-checkbox">
                                            <input type="checkbox" class="custom-control-input" name="is_shipping_diff" id="ship_to_different">
                                            <label class="custom-control-label" for="ship_to_different">Ship to a different address?</label>
                                        </div>
                                    </div>
                                    <div class="ship-to-different single-form-row">
                                        <div class="row">
                                            <div class="col-md-12">
                                                <div class="single-input-item">
                                                    <label for="f_name" class="required">Customer Name </label>
                                                    <input type="text" class="form-control shipping_address"  id="f_name"  name="shipping_customer_name"  value="{{ $userObj->name ?? old('customer_name') }}" placeholder="" />
                                                    @error('shipping_customer_name')
                                                        <p class="text-danger">{{ $message }}</p>
                                                    @enderror
                                                </div>
                                            </div>
                                        </div>
                                        
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="single-input-item">
                                                    <label for="phone" class="required">Phone</label>
                                                    <input type="text" id="phone" class="form-control shipping_address" name="shipping_customer_phone" value="{{$userObj->phone ?? old('customer_phone')}}" />
                                                    @error('shipping_customer_phone')
                                                        <p class="text-danger">{{ $message }}</p>
                                                    @enderror
                                                </div>
                                            </div>
    
                                            <div class="col-md-6">
                                                <div class="single-input-item">
                                                    <label for="email">Email Address</label>
                                                    <input type="email" id="email"  class="form-control shipping_address" name="shipping_customer_email" value="{{$userObj->email ?? old('customer_email')}}" placeholder="" />
                                                    @error('shipping_customer_email')
                                                        <p class="text-danger">{{ $message }}</p>
                                                    @enderror
                                                </div>
                                            </div>
                                        </div>
    
                                        
                                        <div class="single-input-item">
                                            <label for="street-address" class="required mt-20">Street address</label>
                                            <input type="text" id="street-address" class="form-control shipping_address" name="shipping_customer_address" value="{{old('customer_address')}}" placeholder=""/>
                                            @error('shipping_customer_address')
                                                <p class="text-danger">{{ $message }}</p>
                                            @enderror
                                        </div>
    
                                        <div class="row">
                                        
                                            <div class="col-md-6">
                                                <div class="single-input-item">
                                                    <label for="shipping_customer_country" class="required">Country</label>
                                                    <select class="shipping_address" name="shipping_customer_country" id="shipping_customer_country" required>
                                                        @if(!empty($countries))
                                                            @foreach ($countries as $countrie)
                                                                @if($countrie->id==101)
                                                                    <option value="{{ $countrie->id }}" selected >{{ $countrie->name }}</option>
                                                                @endif
                                                            @endforeach
                                                        @endif
                                                    </select>
                                                </div>
                                                @error('shipping_customer_country')
                                                <p class="text-danger">{{ $message }}</p>
                                                @enderror
                                            </div>
    
                                            <div class="col-md-6">
                                                <div class="single-input-item">
                                                    <label for="shipping_customer_state" class="required">State</label>
                                                    {{-- <input type="text" id="shipping_customer_state" onkeyup="Locationtaker(this)" class="form-control shipping_address" name="shipping_customer_state" value="{{old('customer_state')}}" placeholder=""/> --}}
                                                    
                                                    <select id="shipping_customer_state" onchange="Locationtaker(this)" class="shipping_address" name="shipping_customer_state" required>
                                                        @if(!empty($states))
                                                            @foreach ($states as $state)
                                                                <option value="{{ $state->name }}" @if($state->id==4) selected @endif>{{ $state->name }}</option> 
                                                            @endforeach
                                                        @endif
                                                    </select>
                                                    @error('shipping_customer_state')
                                                        <p class="text-danger">{{ $message }}</p>
                                                    @enderror
                                                </div>        
                                            </div>
                                        </div>
                                        
                                        <div class="row">

                                            <div class="col-md-6">
                                                <div class="single-input-item">
                                                    <label for="town" class="required">Town / City</label>
                                                    <input type="text" id="town" class="form-control shipping_address" name="shipping_customer_city" value="{{old('customer_city')}}" placeholder=""/>
                                                    @error('shipping_customer_city')
                                                        <p class="text-danger">{{ $message }}</p>
                                                    @enderror
                                                </div>
                                            </div>

                                            <div class="col-md-6">
                                                <div class="single-input-item">
                                                    <label for="postcode" class="required">Postcode / ZIP</label>
                                                    <input type="text" id="postcode" class="form-control shipping_address" name="shipping_customer_postcode" value="{{old('customer_postcode')}}" placeholder=""/>
                                                    @error('shipping_customer_postcode')
                                                        <p class="text-danger">{{ $message }}</p>
                                                    @enderror
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>  

                                <div class="single-input-item">
                                    <label for="order_note">Order Note</label>
                                    <textarea name="order_note" id="order_note" class="form-control"></textarea>
                                </div>


                                </div>
                            </div>
                        </div>

                        <!-- Order Summary Details -->
                        <div class="col-lg-6">
                            <div class="order-summary-details">
                                <h5 class="checkout-title">Your Order Summary</h5>
                                <div class="order-summary-content">
                                    <!-- Order Summary Table -->
                                    <div class="order-summary-table table-responsive text-center">
                                        <table class="table table-bordered">
                                            <thead>
                                                <tr>
                                                    <th>Products</th>
                                                    <th>Total</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                @php
                                                    $tot = $sub = 0;
                                                    $tot += getSubTotal($carts, false, '', false);
                                                @endphp
                                                @forelse ($carts as $cart)
                                                    <tr>
                                                        <td>
                                                            <a href="{{ route('products.show', $cart->product->slug) }}">
                                                                {{$cart->product->collectLocalization('name')}}
                                                                <strong> × {{$cart->qty}}</strong>
                                                            </a>
                                                        </td>
                                                        <td> {{ formatPrice($cart->qty*variationDiscountedPrice($cart->product_variation->product, $cart->product_variation)) }}</td>
                                                    </tr>
                                                @empty
                                                @endforelse

                                            </tbody>
                                            <tfoot>
                                                <input type="hidden" value="{{ $tot }}" id="totAmount" />
                                                <tr>
                                                    <td>Sub Total</td>
                                                    <td><strong>{{formatPrice($tot)}}</strong></td>
                                                </tr>

                                                <tr>
                                                    <td>Delivery Charge</td>
                                                    <td>
                                                    <strong id="delCharge">
                                                        {{getCurrencySymbol()}}
                                                        @if(auth()->check())
                                                            {{deliveryCharge($tot,auth()->user()->addressesOne->state ?? '') }}
                                                        @else
                                                            @if($tot>=2000)
                                                                0
                                                            @else
                                                                200
                                                            @endif
                                                        @endif
                                                    </strong>
                                                   </td>
                                                </tr>
                                          
                                                @php
                                                if($tot>=2000)
                                                    $delcharge=0;
                                                else
                                                    $delcharge=200;
                                                
                                                if(auth()->check())
                                                    $delcharge=deliveryCharge($tot , auth()->user()->addressesOne->state ?? '');
                                                    $tot = $tot+$delcharge;
                                                @endphp
                                                <tr>
                                                    <td>Total Amount</td>
                                                    <td><strong id="chargeAmount">{{getCurrencySymbol()}}{{$tot}}</strong>
                                                    </td>
                                                    <input type="hidden" id="finalAmount" name="finalAmount" value="{{$tot}}"/>
                                                    <input type="hidden" id="InputdelCharge" value="{{$delcharge}}" name="delivery_charge" />
                                                </tr>
                                            </tfoot>
                                        </table>
                                    </div>
                                    <!-- Order Payment Method -->
                                    <div class="order-payment-method">
                                        <div class="single-payment-method">

                                            <div
                                                class="checkout-radio d-flex align-items-center justify-content-between gap-3 bg-white rounded p-4 mt-3">
                                                <div class="radio-left d-inline-flex align-items-center">
                                                    <div class="theme-radio">
                                                        <input type="radio" name="payment_method" id="cod" value="cod"
                                                            required>
                                                        <span class="custom-radio"></span>
                                                    </div>
                                                    <label for="cod" class="ms-2 h6 mb-0">{{ localize('Cash on delivery') }}
                                                        ({{ localize('COD') }})
                                                    </label>
                                                </div>
                                                <div class="radio-right text-end">
                                                    <img src="{{ asset('frontend/pg/cod.svg') }}" alt="cod"
                                                        class="img-fluid">
                                                </div>
                                            </div>
                                            <!--Razorpay-->
                                            @if (getSetting('enable_razorpay') == 1)
                                            <div
                                                class="checkout-radio d-flex align-items-center justify-content-between gap-3 bg-white rounded p-4 mt-3">
                                                <div class="radio-left d-inline-flex align-items-center">
                                                    <div class="theme-radio">
                                                        <input type="radio" name="payment_method" checked id="razorpay"
                                                            value="razorpay" required>
                                                        <span class="custom-radio"></span>
                                                    </div>
                                                    <label for="razorpay" class="ms-2 h6 mb-0">{{ localize('Pay with
                                                        Razorpay') }}</label>
                                                </div>
                                                <div class="radio-right text-end">
                                                    <img src="{{ asset('frontend/pg/razorpay.svg') }}" alt="razorpay"
                                                        class="img-fluid">
                                                </div>
                                            </div>
                                            @endif


                                        </div>
                                        <div class="summary-footer-area">
                                            <button type="submit" class="btn btn-sqr place_ord_btn">Place order</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <!-- checkout main wrapper end -->
    </main>

    <!-- Add Address Modal -->
    <div class="modal fade" id="AddAddressModal" tabindex="-1" aria-labelledby="AddAddressModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="AddAddressModalLabel">Add Address</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form id="custAddAddress" class="required needs-validation" method="POST" enctype="multipart/form-data"
                novalidate="">
                <div class=" modal-body pt-2">
                    <div class="row">
                    <div class="col-lg-6 col-md-6 col-12 py-2">
                        <label class="form-label">Name </label>
                        <input type="text" name="customers_name" id="addcustname" class="form-control form-input"
                        placeholder=" " required="">
                        <span class="text-danger add_customer_name"></span>
                    </div>
        
                    <div class="col-lg-6 col-md-6 col-12 py-2">
                        <label class="form-label">Phone </label>
                        <input type="text" class="form-control form-input" id="addphone" placeholder=" " required="">
                        <span class="text-danger add_phone"></span>
                    </div>
        
                    </div>
                    <div class="row">
                    <div class="col-lg-12 col-md-12 col-12 py-2 ">
                        <label class="form-label">Address </label>
                        <input type="text" class="form-control form-input" name="phone" id="addaddress" placeholder=" "
                        required>
                        <span class="text-danger add_street_address"></span>
                    </div>
                    </div>
        
                    <div class="row">
                    <div class="col-lg-6 col-md-6 col-12 py-2">
                        <label class="form-label">City </label>
                        <input type="text" class="form-control form-input" id="addcity" placeholder=" " required="">
                        <span class="text-danger add_city"></span>
                    </div>
        
                    <div class="col-lg-6 col-md-6 col-12 py-2 ">
                        <label class="form-label">State </label>
        
                        <select id="addstate" class="" name="" required>
                            @if(!empty($states))
                            @foreach ($states as $state)
                                <option value="{{ $state->name }}" @if($state->id==4) selected @endif>{{ $state->name }}</option> 
                            @endforeach
                            @endif
                        </select>
                        <span class="text-danger add_state"></span>
                    </div>
        
                   
                    <div class="col-lg-6 col-md-6 col-12 py-2">
                        <label for="addcountry" class="form-label required">Country</label>
                        <select class="form-select select2" id="addcountry">
                            @if(!empty($countries))
                                @foreach ($countries as $country)
                                    @if($country->id ==101)
                                    <option value="{{ $country->id }}" selected>{{ $country->name }}</option>
                                    @endif
                                @endforeach
                            @endif
                        </select>
                    </div>
                    
        
                    <div class="col-lg-6 col-md-6 col-12 py-2">
                        <label class="form-label">Postcode </label>
                        <input type="text" class="form-control form-input" id="addpincode" placeholder=" " required="">
                        <span class="text-danger add_zipcode"></span>
                    </div>
                    </div>
        
                </div>
                <div class="col-lg-4 mx-auto col-4">
                    <div class="enquiry_frm_btn">
                    <button type="submit" class="btn btn-primary enquiry_btn" id="addressformbutton">Submit </button>
                    <input type="reset" hidden="">
                    </div>
                </div>
                </form>
            </div>
            
            </div>
        </div>
    </div>
    <!------------ Modal End Here ------------>


    @push('scripts')
    <script>

        var currency = "{{getCurrencySymbol()}}";
    
       // add function  ajax
       $(document).on('click', '#addressformbutton', function (e) {
            e.preventDefault();
            $('#custAddAddress').addClass('was-validated');
            if ($('#custAddAddress')[0].checkValidity() === false) {
                event.stopPropagation();
            } else {
            var data = {
                'name': $('#addcustname').val(),
                'address': $('#addaddress').val(),
                'city_id': $('#addcity').val(),
                'state_id': $('#addstate').val(),
                'pincode': $('#addpincode').val(),
                'country_id': $('#addcountry').val(),
                'phone': $('#addphone').val(),
                'source':"ajax",
            }
            
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            $.ajax({
                type: "POST",
                url: "{{route('address.store')}}",
                data: data,
                dataType: "json",
                success: function (response) {
                    if (response.status == 400) {
                        $.each(response.error, function (key, err_val) {
                            $('.add_' + key).text(err_val);
                        });
                    } else {
                        $('#custAddAddress').removeClass('was-validated');
                        $('#myModal').modal('hide');
                        $('#custAddAddress').trigger("reset");

                        location.reload();
                    }
                }
            });
            }
        });

        $(document).on('submit', '#checkout-form', function (e) {
            e.preventDefault();
            $('#checkout-form').addClass('was-validated');

            if ($('#checkout-form')[0].checkValidity() === false) {
                e.stopPropagation();
            } else {
                $('.place_ord_btn').prop('disabled', true);
                $('#checkout-form')[0].submit();
            }
        });
        
        $(document).ready(function () {
            $('#country').change(function (event) {
                event.preventDefault();
                $("#state").empty();
                let country_id = $(this).val();
                $.ajax({
                    type: "POST",
                    url: '{{ route('address.getStates') }}',
                    headers: {
                        'X-CSRF-TOKEN': '{{ csrf_token() }}'
                    },
                    data: {
                        country_id: country_id
                    },
                    success: function (data) {
                    
                        let html = ``;
                        $.each(data, function (index, state) {
                            html += `<option value="${state.id}">${state.name}</option>`;
                        });
                        // console.log(html);
                        $("#stateData").append(html);
                    }
                });

            });
        });
    </script>

    <script>    

    function radioLocationtaker(inputField) {

        var location = inputField.getAttribute("data");
        chargeHandler(location);
    } 

    function Locationtaker(inputField,source) {

        var location = inputField.value;
        var source   = inputField.getAttribute("id");
   
        if (location == "") {
            if (source == "shipping_customer_state") {
                var location = $('#billing_customer_state option:selected').val();

                // Check if location is still undefined
                if (location == undefined || location == "undefined") {
                    location = $('.address_radio:checked').attr("data");
                }
            }
        }

        chargeHandler(location);
    }   

    function chargeHandler(location){

        var totalAmount = parseFloat($('#totAmount').val()) || 0;

        var deliveryCharge = calculateDeliveryCharge(totalAmount, location);
    
        var amount = deliveryCharge + totalAmount;

        $('#InputdelCharge').val(deliveryCharge);
        $('#delCharge').text(currency + deliveryCharge);
        $('#chargeAmount').text(currency + amount);
        $("#finalAmount").val(amount);
    }


        // Helper function to calculate the delivery charge
    function calculateDeliveryCharge(totalAmount, location) {
        // Define your delivery charge conditions
        var freeDeliveryThreshold = 2000;
        var delhiDeliveryCharge = 100;
        var indiaDeliveryCharge = 200;

        // Check if the total amount qualifies for free delivery
        if (totalAmount >= freeDeliveryThreshold) {
            return 0; // Free delivery
        }

        // Check the location and apply the appropriate delivery charge
        if (location.toLowerCase() === 'delhi' || location.toLowerCase() === 'new delhi') {
            return delhiDeliveryCharge;
        } else {
            return indiaDeliveryCharge;
        }

        // Default case (unknown location)
        return 0; // No additional charge for unknown location
    }

    $(document).ready(function () {

        $('#ship_to_different').change(function() {
            if ($(this).is(':checked')) {
                $('.shipping_address').prop('required', true);
            } else {
                $('.shipping_address').prop('required', false);
            }
        });

        $(document).on('submit', '#login-form', function (e) {
            e.preventDefault();
            $('#login-form').addClass('was-validated');
            if ($('#login-form')[0].checkValidity() === false) {
                event.stopPropagation();
            } else {
                $('#login-form')[0].submit();
            }
        });
    });

    // change input to phone
    function handleLoginWithPhone() {
        $('.login_with').val('phone');

        $('.login-email').addClass('d-none');
        $('.login-email input').prop('required', false);

        $('.login-phone').removeClass('d-none');
        $('.login-phone input').prop('required', true);
    }

    // change input to email
    function handleLoginWithEmail() {
        $('.login_with').val('email');
        $('.login-email').removeClass('d-none');
        $('.login-email input').prop('required', true);

        $('.login-phone').addClass('d-none');
        $('.login-phone input').prop('required', false);
    }


    // disable login button
    function handleSubmit() {
        $('#login-form').on('submit', function(e) {
            $('.sign-in-btn').prop('disabled', true);
        });
    }

    </script>
    @endpush

</x-frontend.app-layout>