<x-frontend.app-layout>

@section('title')
    {{ localize('Conatct Us') }} {{ getSetting('title_separator') }} {{ getSetting('system_title') }}
@endsection
 
    

    <main>

        <!-- breadcrumb area start -->
        <div class="breadcrumb-area">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <div class="breadcrumb-wrap">
                            <nav aria-label="breadcrumb">
                                <ul class="breadcrumb"> 
                                    <h2 class="breadcrumb-item active" aria-current="page">Contact Us</h2>
                                </ul>
                            </nav>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- breadcrumb area end --> 
     
        <!-- contact area start -->
        <div class="about-us section-padding">
            <div class="container">
                <div class="row">
                    <div class="col-lg-6">
                        <div class="contact-message">
                            <h4 class="contact-title">Tell Us Your Project</h4> 
                            <form class="contact-form ps-4 ps-xl-0 py-8 pe-5 needs-validation" novalidate action="{{ route('contactUs.store') }}" method="POST">
                            @csrf
                                <div class="row">
                                    <div class="col-lg-6 col-md-6 col-sm-6">
                                        <input name="name" class="form-control" placeholder="Name *" type="text" required>
                                    </div>
                                    <div class="col-lg-6 col-md-6 col-sm-6">
                                        <input name="phone" class="form-control" placeholder="Phone *" type="number" required>
                                    </div>
                                    <div class="col-lg-12 col-md-12 col-sm-12">
                                        <input name="email" class="form-control" placeholder="Email *" type="email" required>
                                    </div>
                                  
                                    <div class="col-12">
                                        <div class="contact2-textarea text-center">
                                            <textarea placeholder="Message *" class="form-control" name="message" class="form-control2" required=""></textarea>
                                        </div>
                                        <div class="contact-btn">
                                            <button class="btn btn-sqr submit_button" type="submit">Send Message</button>
                                        </div>
                                    </div>
                                    
                                    <div class="col-12 d-flex justify-content-center">
                                        <p class="form-messege"></p>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                    <div class="col-lg-6">
                        <div class="contact-info">
                            <h4 class="contact-title">Contact Details</h4> 
                            <p >
                                <!-- <strong>{{ localize('Office Address') }}:
                                </strong> -->
                                {{ getSetting('topbar_location') }}
                            </p>
                            <ul> 
                                <li><i class="fa fa-envelope-o"></i>{{ getSetting('topbar_email') }}</li>
                                <li><i class="fa fa-phone"></i> {{ getSetting('navbar_contact_number') }}</li>
                            </ul>
                            <div class="mt-5">
                                <span class="fw-bold text-white mb-3 d-block">{{ localize('Find us on') }}:</span>
                                <div class="widget-body social-link">
                                <a href="{{ getSetting('facebook_link') }}" target="_blank"><i class="fa fa-facebook"></i></a>
                                <a href="{{ getSetting('twitter_link') }}" target="_blank"><i class="fa fa-twitter"></i></a> 
                                <a href="{{ getSetting('youtube_link') }}" target="_blank"><i class="fa fa-youtube"></i></a>
                            </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- contact area end -->

        <!-- google map start -->
        <div class="map-area section-padding">
            {{-- <div id="google-map"></div> --}}

            <iframe src="https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d56018.38242692998!2d77.1932903!3d28.6552599!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x390cfd7a5730393f%3A0xf0de302d5e95a725!2sKhemchand%20Jewellers-best%20imitation%20jewellery%20shop%20in%20chandni%20chowk.!5e0!3m2!1sen!2sin!4v1709296804390!5m2!1sen!2sin" width="100%" height="450" style="border:0;" allowfullscreen="" loading="lazy" referrerpolicy="no-referrer-when-downgrade"></iframe>
        </div>
        <!-- google map end -->
    </main>

    @push('scripts')
    <script>
        $(document).on('submit', '.contact-form', function (e) {
            e.preventDefault();
            $('.contact-form').addClass('was-validated');

            if ($('.contact-form')[0].checkValidity() === false) {
                e.stopPropagation();
            } else {
                $('.place_ord_btn').prop('disabled', true);
                $('.contact-form')[0].submit();
            }
        });
    </script>
    @endpush
</x-frontend.app-layout>