<x-frontend.app-layout>

@section('title')
    {{ localize('Home') }} {{ getSetting('title_separator') }} {{ getSetting('system_title') }}
@endsection

@section('meta')
<meta itemprop="name" content="{{ getSetting('global_meta_title') }}" />
<meta itemprop="image" content="{{ uploadedAsset(getSetting('global_meta_image')) }}" />
<meta property="og:title" content="{{ getSetting('global_meta_title') }}" />
<meta property="og:type" content="website" />
<meta property="og:url" content="{{ route('home') }}" />
<meta property="og:image" content="{{ uploadedAsset(getSetting('global_meta_image')) }}" />
<meta property="og:description" content="{{ getSetting('global_meta_description') }}" />
<meta property="og:site_name" content="{{ env('APP_NAME') }}" /> 
@endsection

   <!--Slider-->
   @include('frontend.partials.slider')
 
    <!--Category-->
    <div class="product-outer-section">
        @if($categories)
            @include('frontend.partials.categories',['categories' => $categories])
        @endif

        <div class="space-5"></div>

        <section class="container-fluid mt-5">
          <div class="container">
            <div class="row align-items-center">
                <div class="col-12">
                    <!-- section title start -->
                    <div class="section-title text-center">
                        <h2 class="title">Best Seller</h2>
                    </div>
                    <!-- section title start -->
                </div>
            </div>
            <div class="row pt-4">
                <div class="col-12">
                    <div class="product-carousel-4 slick-row-10 slick-arrow-style">
                        @if($featureProducts)
                        <!--Start-->
                        @include('frontend.partials.product_list',['products' => $featureProducts])
                        <!--End-->
                        @endif
                    </div>
                </div>  
            </div>
          </div>
        </section>
        <section class="container-fluid mt-5">
          <div class="container">
            <div class="row align-items-center">
                <div class="col-12">
                    <!-- section title start -->
                    <div class="section-title text-center">
                        <h2 class="title">Giveaway Product</h2>
                    </div>
                    <!-- section title start -->
                </div>
            </div>
            <div class="row pt-4 ">
                <div class="col-12">
                    <div class="product-carousel-4 slick-row-10 slick-arrow-style">
                        @if($giveawayProducts)
                        <!--Start-->
                        @include('frontend.partials.giveaway-product',['products' => $giveawayProducts])
                     
                        <!--End-->
                        @endif
                    </div>
                </div>            
            </div>
          </div>
        </section>
    </div> 

        <section class="about-us section-padding pt-0">
            <div class="container">
                <div class="row align-items-center">
                    <div class="col-lg-5">
                        <div class="about-thumb">
                            <img src="{{asset('assets/img/about/about-img.webp')}}" alt="about thumb" style="height: 340px;">
                        </div>
                    </div>
                    <div class="col-lg-7">
                        <div class="about-content">
                            <h5 class="about-sub-title">
                            Since 2002, Khemchand Jewellers has been your go-to spot for beautiful flower jewelry, wedding gifts, decorations, and artificial jewelry. You can find us at shop no. 2784, Kinari Bazar, Delhi-6. </h5>
                            <p>We take pride in offering a unique collection that captures the essence of Indian traditions and celebrations. Our store is a mix of timeless craftsmanship and creative designs. Whether you're looking for elegant flower jewelry for weddings or charming decorative pieces for special occasions, we've got you covered. We believe in making your shopping experience personal and enjoyable, ensuring you find the perfect piece to add a special touch to your memorable moments. At Khemchand Jewellers, we're not just selling jewelry and decor - we're here to be a part of your joyous celebrations. </p>
                        </div>
                    </div>
                </div>
            </div>
        </section>

        <!-- ===============features========================= -->
        <section class="bg-color py-5">
            <div class="container">
                <div class="row">
                    <div class="col-lg-3">
                        <div class="features-item">
                            <div class="features-icon"><img
                                    src="https://ninetheme.com/themes/goldsmith/wp-content/uploads/2022/12/033-tag.png"
                                    class="f-icon" alt="" /></div>
                            <div class="features-content">
                                <h4 class="features-title">Amazing Value Every Day</h4><span class="features-desc">Items
                                    prices that fit your budget</span>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-3">
                        <div class="features-item">
                            <div class="features-icon"><img
                                    src="https://ninetheme.com/themes/goldsmith/wp-content/uploads/2022/12/011-best-seller.png"
                                    class="f-icon" alt="" /></div>
                            <div class="features-content">
                                <h4 class="features-title">Successful Customer Service</h4><span
                                    class="features-desc">We
                                    work with a focus on 100% customer satisfaction.</span>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-3">

                        <div class="features-item">
                            <div class="features-icon">
                                <img loading="lazy"
                                    src="https://ninetheme.com/themes/goldsmith/wp-content/uploads/2022/12/071-credit-card.png"
                                    class="f-icon" alt="" />
                            </div>
                            <div class="features-content">
                                <h4 class="features-title">All Payment Methods</h4><span class="features-desc">Don't
                                    bother
                                    with payment details.</span>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-3">
                        <div class="features-item">
                            <div class="features-icon">
                                <img src="https://ninetheme.com/themes/goldsmith/wp-content/uploads/2022/12/016-fast-delivery.png"
                                    class="f-icon" alt="" />
                            </div>
                            <div class="features-content">
                                <h4 class="features-title">Free shipping above Rs. 2000 </h4><span
                                    class="features-desc">Fast & Secure delivery everytime</span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- ===============promotion banner==================== -->
        @foreach ($banner_section_one_banners as $banner)
        
        <section class="promotion-banner"
            style="background: url({{uploadedAsset($banner->image)}})no-repeat; padding:6rem 0;background-size: 100%;">
            <div class="container">
                <div class="row">
                    <div class="col-lg-6">
                        <h2>{{$banner->title}}</h2>
                        <div>
                            <a href="{{$banner->link}}" class="btn py-3 px-4"> See the Collection</a>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        @endforeach
        <!-- ========================Testimonial=========================== -->
        <!-- latest blog area start -->
        <section class="latest-blog-area section-padding">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <!-- section title start -->
                        <div class="section-title text-center">
                            <h2 class="title">Happy Client Says</h2>
                        </div>
                        <!-- section title start -->
                    </div>
                </div>
                <div class="row">
                    <div class="col-12">
                        <div class="blog-carousel-active slick-row-10 slick-arrow-style">
                        @foreach ($client_feedback as $feedback)
                        
                           <!-- Testimonialpost itemstart -->
                            <div class="testimonial-content">
                                <div class="ratings">
                                @for($i=1; $i<=$feedback->rating; $i++)
                                    <span><i class="fa fa-star"></i></span> 
                                @endfor
                                </div>
                                <h5 class="testimonial-author my-3">{{$feedback->name}}</h5>
                                <p>{{$feedback->review}}</p>
                                <!-- <div class="testimonial-thumb mx-auto text-center mb-2">
                                    <img src="{{uploadedAsset($feedback->image)}}" alt="testimonial-thumb">
                                </div>
                                <h5 class="testimonial-author">Daisy Millan</h5> -->
                            </div>
                            <!-- Testimonialpost itemend --> 
                            
                        @endforeach
                        </div>
                    </div>
                </div>
            </div>
        </section>

</x-frontend.app-layout>