<x-frontend.app-layout>

  @if (!empty($category))
    @section('title')
      {{ $category->name ?? ''}} {{ getSetting('title_separator') }} {{ getSetting('system_title') }}
    @endsection
  @else
    @section('title')
    {{ localize('Products') }} {{ getSetting('title_separator') }} {{ getSetting('system_title') }}
    @endsection
  @endif

<main>
    <!-- breadcrumb area start -->
    <div class="breadcrumb-area">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="breadcrumb-wrap">
                        <nav aria-label="breadcrumb">
                            <ul class="breadcrumb"> 
                                <li class="breadcrumb-item active" aria-current="page">{{ $category->name ?? 'Product'}}</li>
                            </ul>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
    </div> 
    <form class="filter-form" action="{{ Request::fullUrl() }}" method="GET">
    <!-- page main wrapper start -->
    <div class="shop-main-wrapper section-padding">
        <div class="container">
            <div class="row">
                <!-- sidebar area start -->
                <div class="col-lg-3 order-2 order-lg-1">
                    <aside class="sidebar-wrapper">
                        <!-- single sidebar start -->
                       
                        <div class="sidebar-single">
                            <h5 class="sidebar-title">categories</h5>
                            <div class="sidebar-body">
                                <ul class="shop-categories"> 
                                    @if(!empty($cateArray) && sizeof($cateArray)>0)  
                                    @foreach ($cateArray as $cateItem)
                                      <li><a href="{{ route('category.show', $cateItem->slug) }}">{{$cateItem->name ?? ''}}</a></li>
                                    @endforeach
                                    @endif
                                </ul>
                            </div>
                        </div>
                        

                        @if(!empty($attriButeArray) && sizeof($attriButeArray)>0)
                        @foreach ($attriButeArray as $attrName=>$attrValues)
                             <!-- single sidebar start -->
                        <div class="sidebar-single">
                            <h5 class="sidebar-title">{{$attrName}}</h5>
                            <div class="sidebar-body">
                                <ul class="checkbox-container categories-list">
                                    
                                    @foreach ($attrValues as $values)
                                    <li>
                                        <div class="custom-control custom-checkbox">
                                            <input type="checkbox"  @if(in_array($values->id.'_'.$values->variation_id , $selectedAttr)) checked @endif name="attribute[]" value="{{$values->id}}_{{$values->variation_id}}" class="custom-control-input filter_by" id="customCheck_{{$values->id}}">
                                            <label class="custom-control-label" for="customCheck_{{$values->id}}">{{$values->name ?? ''}}</label>
                                        </div>
                                    </li>
                                    @endforeach
                                                               
                                </ul>
                            </div>
                        </div>
                        <!-- single sidebar end -->
                        @endforeach
                        @endif
                    </aside>
                </div>
                <!-- sidebar area end -->

                <!-- shop main wrapper start -->
                <div class="col-lg-9 order-1 order-lg-2">
                    <div class="shop-product-wrapper">
                        <!-- shop product top wrap start -->
                        <div class="shop-top-bar">
                            <div class="row align-items-center">
                                <div class="col-lg-7 col-md-6 order-2 order-md-1">
                                    <div class="top-bar-left">
                                        <div class="product-view-mode">
                                            <a class="active" href="#" data-target="grid-view" data-bs-toggle="tooltip" title="Grid View"><i class="fa fa-th"></i></a>
                                            <a href="#" data-target="list-view" data-bs-toggle="tooltip" title="List View"><i class="fa fa-list"></i></a>
                                        </div>
                                        <div class="product-amount">
                                            <p>
                                                {{ localize('Showing') }}
                                                {{ $products->firstItem() }}-{{ $products->lastItem() }} {{ localize('of') }}
                                                {{ $products->total() }} {{ localize('results') }}
                                            </p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-5 col-md-6 order-1 order-md-2">
                                    <div class="top-bar-right">
                                        <div class="product-short">
                                            <p>Sort By : </p>
                                            
                                            <select name="sort_by" class="sort_by nice-select">
                                                <option value="new"
                                                    @isset($sort_by)
                                                        @if ($sort_by == 'new')
                                                        selected
                                                        @endif
                                                    @endisset>
                                                    {{ localize('Newest First') }}
                                                </option>
                                                <option value="best_selling"
                                                    @isset($sort_by)
                                                    @if ($sort_by == 'best_selling')
                                                    selected
                                                    @endif
                                                    @endisset>
                                                    {{ localize('Best Selling') }}
                                                </option>

                                                <option value="atoz"
                                                    @isset($sort_by)
                                                    @if ($sort_by == 'atoz')
                                                    selected
                                                    @endif
                                                    @endisset>
                                                    Sort By : A to Z
                                                </option>

                                                <option value="ztoa"
                                                    @isset($sort_by)
                                                    @if ($sort_by == 'ztoa')
                                                    selected
                                                    @endif
                                                    @endisset>
                                                    Sort By : Z to A
                                                </option>

                                                <option value="pricemintohigh"
                                                    @isset($sort_by)
                                                    @if ($sort_by == 'pricemintohigh')
                                                    selected
                                                    @endif
                                                    @endisset>
                                                    Price : Min to High
                                                </option>

                                                <option value="pricehightomin"
                                                    @isset($sort_by)
                                                    @if ($sort_by == 'pricehightomin')
                                                    selected
                                                    @endif
                                                    @endisset>
                                                    Price : High to Min
                                                </option>

                                            </select>

                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- shop product top wrap start -->

                        <!-- product item list wrapper start -->
                        <div class="shop-product-wrap grid-view row mbn-30">
                            
                          @if(!empty($products) && sizeof($products)>0)
                          @foreach ($products as $product)
                        @php
                            $galleryImages = !empty($product->gallery_images) ? explode(',', $product->gallery_images) : [];
                            $discountPercentage = discountPercentage($product);
                            $givenDateString = $product->created_at;
                            $givenDate = new DateTime($givenDateString);
                            $currentDate = new DateTime();
                            $dateInterval = $currentDate->diff($givenDate);
                            $daysDiff=$dateInterval->format('%a');
                            $currentURL = URL::current();
                          @endphp 

                            <!-- product single item start -->
                            <div class="col-md-4 col-sm-6">
                                <!-- product grid start -->
                                <div class="product-item">
                                    <figure class="product-thumb">
                                        <a href="{{ route('products.show', $product->slug) }}">
                                          <img src="{{ uploadedAsset($product->thumbnail_image) }}" 
                                              alt="{{ $product->collectLocalization('name') }}" 
                                              onerror="this.onerror=null;this.src='{{ asset('backend/assets/img/placeholder-thumb.png') }}';"
                                              class="pri-img" >
                                          <img src="{{ uploadedAsset($product->thumbnail_image) }}" 
                                              alt="{{ $product->collectLocalization('name') }}" 
                                              onerror="this.onerror=null;this.src='{{ asset('backend/assets/img/placeholder-thumb.png') }}';"
                                              class="sec-img" >
                                        </a>
                                        <div class="product-badge">
                                            @if($daysDiff<7)
                                            <div class="product-label new">
                                                <span>new</span>
                                            </div>
                                            @endif
                                            @if ($discountPercentage > 0)
                                            <div class="product-label discount">
                                                <span>{{ discountPercentage($product) }}% off</span>
                                            </div>
                                            @endif
                                        </div>
                                        <div class="button-group">
                                            <a href="javascript:void(0)"  onclick="addToWishlist({{ $product->id }})" data-bs-toggle="tooltip" data-bs-placement="left" title="Add to wishlist"><i class="pe-7s-like"></i></a>
                                            <a href="javascript:void(0)" onclick="showProductDetailsModal({{ $product->id }})">
                                                <span data-bs-toggle="tooltip" data-bs-placement="left" title="Quick View">
                                                    <i class="pe-7s-search"></i>
                                                </span>
                                            </a>
                                        </div>
                                        
                                    </figure>
                                
                                    <div class="product-caption text-center">

                                        {{-- <div class="product-identity">
                                            <p class="manufacturer-name"><a href="product-details.html"> {{ $category->name ?? ''}}</a></p>
                                        </div> --}}
                                       
                                        <h6 class="product-name">
                                            <a href="{{ route('products.show', $product->slug) }}">{{ $product->collectLocalization('name') }}</a>
                                        </h6>
                                    
                                        <div class="price-box">
                                            @if (productBasePrice($product) == discountedProductBasePrice($product))
                                                @if (productBasePrice($product) == productMaxPrice($product))
                                                    <span class="price-regular">{{ formatPrice(productBasePrice($product)) }}</span>
                                                @else
                                                    <span class="price-regular">{{ formatPrice(productBasePrice($product)) }}</span>
                                                @endif
                                            @else
                                                @if (discountedProductBasePrice($product) == discountedProductMaxPrice($product))
                                                    <span class="price-regular">{{ formatPrice(discountedProductBasePrice($product)) }}</span>
                                                @else
                                                    <span class="price-regular">{{ formatPrice(discountedProductBasePrice($product)) }}</span>
                                            
                                                @endif
                                                
                                                @if (!isset($onlyPrice) || $onlyPrice == false)
                                                    @if (productBasePrice($product) == productMaxPrice($product))
                                                        <span class="price-old {{ isset($br) ? '' : 'ms-1' }}">{{ formatPrice(productBasePrice($product)) }}</span>
                                                    @else
                                                        <span class="price-old {{ isset($br) ? '' : 'ms-1' }}">{{ formatPrice(productBasePrice($product)) }}</span>
                                                    @endif
                                                @endif
                                            @endif
                                        </div>

                                    </div>
                                </div>
                                <!-- product grid end -->

                                <!-- product list item end -->
                                <div class="product-list-item">
                                    <figure class="product-thumb">

                                        <a href="{{ route('products.show', $product->slug) }}">
                                          <img src="{{ uploadedAsset($product->thumbnail_image) }}" 
                                              alt="{{ $product->collectLocalization('name') }}" 
                                              onerror="this.onerror=null;this.src='{{ asset('backend/assets/img/placeholder-thumb.png') }}';"
                                              class="pri-img" >
                                          <img src="{{ uploadedAsset($product->thumbnail_image) }}" 
                                              alt="{{ $product->collectLocalization('name') }}" 
                                              onerror="this.onerror=null;this.src='{{ asset('backend/assets/img/placeholder-thumb.png') }}';"
                                              class="sec-img" >
                                        </a>

                                        <div class="product-badge">
                                            @if($daysDiff<7)
                                            <div class="product-label new">
                                                <span>new</span>
                                            </div>
                                            @endif
                                            @if ($discountPercentage > 0)
                                            <div class="product-label discount">
                                                <span>{{ discountPercentage($product) }}% off </span>
                                            </div>
                                            @endif
                                        </div>
                                        <div class="button-group">
                                            <a href="javascript:void(0)"  onclick="addToWishlist({{ $product->id }})" data-bs-toggle="tooltip" data-bs-placement="left" title="Add to wishlist"><i class="pe-7s-like"></i></a>
                                            <a href="#" data-bs-toggle="modal" data-bs-target="#listing_product_quick_view_{{$product->id}}"><span data-bs-toggle="tooltip" data-bs-placement="left" title="Quick View"><i class="pe-7s-search"></i></span></a>
                                        </div>
                                       
                                    </figure>
                                    <div class="product-content-list">
                                        {{-- <div class="manufacturer-name">
                                            <a href="product-details.html"> {{ $category->name ?? ''}}</a>
                                        </div> --}}
                                     
                                        <h5 class="product-name"><a href="{{ route('products.show', $product->slug) }}">{{ $product->collectLocalization('name') }}</a></h5>
                                        <div class="price-box">
                                            @if (productBasePrice($product) == discountedProductBasePrice($product))
                                                @if (productBasePrice($product) == productMaxPrice($product))
                                                    <span class="price-regular">{{ formatPrice(productBasePrice($product)) }}</span>
                                                @else
                                                    <span class="price-regular">{{ formatPrice(productBasePrice($product)) }}</span>
                                                  
                                                @endif
                                            @else
                                                @if (discountedProductBasePrice($product) == discountedProductMaxPrice($product))
                                                    <span class="price-regular">{{ formatPrice(discountedProductBasePrice($product)) }}</span>
                                                @else
                                                    <span class="price-regular">{{ formatPrice(discountedProductBasePrice($product)) }}</span>
                                                   
                                                @endif

                                               

                                                @if (!isset($onlyPrice) || $onlyPrice == false)
                                                    @if (productBasePrice($product) == productMaxPrice($product))
                                                        <span
                                                            class="price-old {{ isset($br) ? '' : 'ms-1' }}">{{ formatPrice(productBasePrice($product)) }}</span>
                                                    @else
                                                        <span
                                                            class="price-old {{ isset($br) ? '' : 'ms-1' }}">{{ formatPrice(productBasePrice($product)) }}</span>
                                                    
                                                    @endif
                                                @endif
                                            @endif
                                        </div>

                                        <p>{{$product->short_description ?? ''}}</p>
                                    </div>
                                </div>
                                <!-- product list item end -->
                            </div>
                            <!-- product single item start --> 
                          @endforeach
                          @else
                          <div class="text-center">
                          <p class="h1">No Product Found !</p>
                          </div>
                          @endif
                        </div>
                        <!-- product item list wrapper end -->

                        @if($products->lastPage() > 1)
                        <!-- start pagination area -->
                        <div class="paginatoin-area text-center">   
                            {{ $products->links('vendor.pagination.bootstrap-4') }}
                        </div>
                        <!-- end pagination area -->
                        @endif
                    </div>
                </div>
                <!-- shop main wrapper end -->
            </div>
        </div>
    </div>
    <!-- page main wrapper end -->
    </form>
</main>



@push('scripts')
    <script>
        "use strict";

        $('.filter_by').on('click', function() {
            $('.filter-form').submit();
        });

        $('.sort_by').on('change', function() {
            $('.filter-form').submit();
        });

        function directAddToCartFormSubmit($this) {
        // add to cart here
        let parent = $($this).closest('.direct-add-to-cart-form');

        parent.find('.direct-add-to-cart-btn').prop('disabled', true);

        let text = parent.find('.add-to-cart-text').html();
        parent.find('.add-to-cart-text').html();


        let data = parent.serializeArray();
        $.ajax({
            type: "POST",
            url: '{{ route('carts.store') }}',
            data: data,
            success: function(data) { 
                  Toast("success", "Product add to cart !!");
                 setTimeout(function () {
                    location.reload();
                }, 3000);
            }
        }); 
    }


    </script>
@endpush

</x-frontend.app-layout>
