<x-frontend.app-layout>

 

@section('contents')
     
     <!-- breadcrumb area start -->
     <div class="breadcrumb-area">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="breadcrumb-wrap">
                        <nav aria-label="breadcrumb">
                            <ul class="breadcrumb"> 
                                <li class="breadcrumb-item active" aria-current="page">My Wishlist</li>
                            </ul>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- breadcrumb area end -->
      <!-- wishlist main wrapper start -->
        <div class="wishlist-main-wrapper section-padding">
            <div class="container">
                <!-- Wishlist Page Content Start -->
                <div class="section-bg-color">
                    <div class="row">
                        <div class="col-lg-12">
                            <!-- Wishlist Table Area -->
                            <div class="cart-table table-responsive">
                                <table class="table table-bordered">
                                    <thead>
                                        <tr>
                                            <th class="pro-thumbnail">Thumbnail</th>
                                            <th class="pro-title">Product</th>
                                            <th class="pro-price">Price</th> 
                                            <th class="pro-subtotal">Add to Cart</th>
                                            <th class="pro-remove">Remove</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    @forelse ($wishlist as $item)  
                                        <tr>
                                            <td class="pro-thumbnail"><a href="{{ route('products.show', $item->product->slug) }}"><img class="img-fluid" src="{{ uploadedAsset($item->product->thumbnail_image) }}"
                                        alt="{{ $item->product->collectLocalization('name') }}" /></a></td>
                                            <td class="pro-title"><a href="{{ route('products.show', $item->product->slug) }}">{{ $item->product->collectLocalization('name') }}</a></td>
                                            <td class="pro-price"><span>{{ formatPrice(variationDiscountedPrice($item->product_variation->product, $item->product_variation)) }}</span></td> 
                                             
                                            <td> 
                                                {{-- <a href="{{ route('products.show', $item->product->slug) }}"  class="btn btn-sqr">Add to Cart</a> --}}
                                            <a href="javascript::void()" onclick="showProductDetailsModal({{ $item->product->id }})" class="btn btn-sqr">Add to Cart</a>
                                            </td>
                                            <td class="pro-remove"><a href="{{ route('customers.wishlist.delete', $item->id) }}"><i class="fa fa-trash-o"></i></a></td>
                                        </tr>

                                    @empty
                                        <tr>
                                            <td colspan="4" class="py-4">{{ localize('No product added in your Wishlist!') }}</td>
                                        </tr>
                                    @endforelse
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- Wishlist Page Content End -->
            </div>
        </div>
        <!-- wishlist main wrapper end -->

@push('scripts')
    <script>
        function directAddToCartFormSubmit($this) {
            // add to cart here
            let parent = $($this).closest('.direct-add-to-cart-form');

            parent.find('.direct-add-to-cart-btn').prop('disabled', true);

            let text = parent.find('.add-to-cart-text').html();
            parent.find('.add-to-cart-text').html();


            let data = parent.serializeArray();
            $.ajax({
                type: "POST",
                url: '{{ route('carts.store') }}',
                data: data,
                success: function(data) { 
                    notifyMe('success', 'Product add to cart !!');
                }
            }); 
        } 
        $(document).ready(function() {
            // Handle button click
            
        }); 
        function shareOnTwitter(url) {
            window.open('https://twitter.com/intent/tweet?url=' + encodeURIComponent(url), '_blank');
        }   

        function shareOnFacebook(url) {
            window.open('https://www.facebook.com/sharer/sharer.php?u=' + encodeURIComponent(url), '_blank');
        }
 
    </script>
@endpush
</x-frontend.app-layout>