@if (!empty($products))
    @foreach ($products as $product)
        @php
            $galleryImages = !empty($product->gallery_images) ? explode(',', $product->gallery_images) : [];
            $discountPercentage = discountPercentage($product);
            $givenDateString = $product->created_at;
            $givenDate = new DateTime($givenDateString);
            $currentDate = new DateTime();
            $dateInterval = $currentDate->diff($givenDate);
            $daysDiff = $dateInterval->format('%a');
        @endphp


        <div class="col-lg-3 mb-5">
            <div class="product-item ">
                <figure class="product-thumb">
                    <a href="{{ route('products.show', $product->slug) }}" tabindex="-1">
                        <img class="pri-img" src="{{ uploadedAsset($product->thumbnail_image) }}"
                            alt="{{ $product->collectLocalization('name') }}"
                            onerror="this.onerror=null;this.src='{{ asset('backend/assets/img/placeholder-thumb.png') }}';">
                    </a>
                    <div class="product-badge">
                        @if ($daysDiff < 7)
                            <div class="product-label new">
                                <span>new</span>
                            </div>
                        @endif
                        @if ($discountPercentage > 0)
                            <div class="product-label discount">
                                <span>{{ discountPercentage($product) }}% off
                                </span>
                            </div>
                        @endif
                    </div>
                    <div class="button-group">
                        <a href="javascript:void(0);" data-bs-toggle="tooltip" data-bs-placement="left" title=""
                            data-bs-original-title="Add to wishlist" onclick="addToWishlist({{ $product->id }})"
                            aria-label="Add to wishlist" tabindex="-1"><i class="pe-7s-like"></i></a>

                        <a href="javascript:void(0)" onclick="showProductDetailsModal({{ $product->id }})"><span
                                data-bs-toggle="tooltip" data-bs-placement="left" title="Quick View"><i
                                    class="pe-7s-search"></i></span></a>


                        {{-- <a href="javascript:void(0)" data-id="{{$product->id}}" class="quickView"><span
                        data-bs-toggle="tooltip" ><i
                            class="pe-7s-search"></i></span></a>  --}}
                    </div>
                    <div class="cart-hover">
                        <form action="" class="direct-add-to-cart-form">
                            <input type="hidden" name="_token" value="{{ csrf_token() }}">
                            <input type="hidden" name="product_variation_id" value="{{ $product->variations[0]->id }}">
                            <input type="hidden" name="product_id" value="{{ $product->id }}" />
                            <input type="hidden" value="{{ $product->minimum_quantity }}" name="quantity">

                            {{-- <button class="btn btn-cart direct-add-to-cart-btn add-to-cart-text" onclick="directAddToCartFormSubmit(this)" tabindex="-1">add to cart</button> --}}

                        </form>
                    </div>
                </figure>
                <div class="product-caption">
                
                    <div class="price-box">
                        @if (productBasePrice($product) == discountedProductBasePrice($product))
                            @if (productBasePrice($product) == productMaxPrice($product))
                                <span class="price-regular">{{ formatPrice(productBasePrice($product)) }}</span>
                            @else
                                <span class="price-regular">{{ formatPrice(productBasePrice($product)) }}</span>
                            @endif
                        @else
                            @if (discountedProductBasePrice($product) == discountedProductMaxPrice($product))
                                <span class="price-regular">{{ formatPrice(discountedProductBasePrice($product)) }}</span>
                            @else
                                <span class="price-regular">{{ formatPrice(discountedProductBasePrice($product)) }}</span>
                        
                            @endif
                            
                            @if (!isset($onlyPrice) || $onlyPrice == false)
                                @if (productBasePrice($product) == productMaxPrice($product))
                                    <span class="price-old {{ isset($br) ? '' : 'ms-1' }}">{{ formatPrice(productBasePrice($product)) }}</span>
                                @else
                                    <span class="price-old {{ isset($br) ? '' : 'ms-1' }}">{{ formatPrice(productBasePrice($product)) }}</span>
                                @endif
                            @endif
                        @endif
                    </div>
                    
                    <h6 class="product-name">
                        <a href="{{ route('products.show', $product->slug) }}" tabindex="-1">
                            {{ $product->collectLocalization('name') }}</a>
                    </h6>
                </div>
            </div>
        </div>
    @endforeach
@endif

@push('scripts')
    <script>
        function directAddToCartFormSubmit($this) {
            // add to cart here
            let parent = $($this).closest('.direct-add-to-cart-form');

            parent.find('.direct-add-to-cart-btn').prop('disabled', true);

            let text = parent.find('.add-to-cart-text').html();
            parent.find('.add-to-cart-text').html();


            let data = parent.serializeArray();
            $.ajax({
                type: "POST",
                url: '{{ route('carts.store') }}',
                data: data,
                success: function(data) {
                    notifyMe('success', 'Product add to cart !!');
                }
            });
        }



        function shareOnTwitter(url) {
            window.open('https://twitter.com/intent/tweet?url=' + encodeURIComponent(url), '_blank');
        }

        function shareOnFacebook(url) {
            window.open('https://www.facebook.com/sharer/sharer.php?u=' + encodeURIComponent(url), '_blank');
        }
    </script>
@endpush
