@php
    $galleryImages = !empty($product->gallery_images) ? explode(',', $product->gallery_images) : [];

    $discountPercentage = discountPercentage($product);
    $givenDateString = $product->created_at;
    $givenDate = new DateTime($givenDateString);
    $currentDate = new DateTime();
    $dateInterval = $currentDate->diff($givenDate);
    $daysDiff=$dateInterval->format('%a');
    $currentURL = URL::current();
@endphp 

<div class="product-details-inner">
    <div class="row">
        <div class="col-lg-5">
            <div class="modal-product-large-slider">
                <div class="pro-large-img img-zoom">
                  <img src="{{ uploadedAsset($product->thumbnail_image) }}" 
                    alt="{{ $product->collectLocalization('name') }}" 
                    onerror="this.onerror=null;this.src='{{ asset('backend/assets/img/placeholder-thumb.png') }}';">
                </div>

                @if(!empty($galleryImages) || sizeof($galleryImages)>0)  
                  @forelse ($galleryImages as $galleryImage)
                    <div class="pro-large-img img-zoom">
                      <img src="{{ uploadedAsset($galleryImage) }}"  
                        onerror="this.onerror=null;this.src='{{ asset('backend/assets/img/placeholder-thumb.png') }}';" 
                        alt="{{ $product->collectLocalization('name') }}">
                    </div>
                  @empty
                  @endforelse
                @endif
            </div>

            <div class="modal-pro-nav slick-row-10 slick-arrow-style slick-slider">
                <div class="pro-nav-thumb">
                  <img src="{{ uploadedAsset($product->thumbnail_image) }}" 
                    alt="{{ $product->collectLocalization('name') }}" 
                    onerror="this.onerror=null;this.src='{{ asset('backend/assets/img/placeholder-thumb.png') }}';">
                </div>

                @if(!empty($galleryImages) || sizeof($galleryImages)>0)  
                  @forelse ($galleryImages as $galleryImage)
                  <div class="pro-nav-thumb">
                    <img src="{{ uploadedAsset($galleryImage) }}"  
                      onerror="this.onerror=null;this.src='{{ asset('backend/assets/img/placeholder-thumb.png') }}';" 
                      alt="{{ $product->collectLocalization('name') }}">
                  </div>
                  @empty
                  @endforelse
                @endif
            </div>

        </div>
        <div class="col-lg-7">
            <div class="product-details-des">
               
                <h3 class="product-name">{{ $product->collectLocalization('name') }}</h3>
                <div class="ratings d-flex">
                    @php
                        $avgReview = productAvg($product->id)['average'];
                    @endphp
                    @if(!empty($avgReview))
                        @for ($i = 1; $i <= 5; $i++)
                            @if ($i <= round($avgReview))
                                <span><i class="fa fa-star"></i></span>
                            @else
                                <span><i class="fa fa-star-o"></i></span>
                            @endif
                        @endfor
                    @endif
                    @if(productAvg($product->id)['count']>0)
                      <div class="pro-review">
                          <span>{{productAvg($product->id)['count']}} reviews</span>
                      </div>
                    @endif
                </div>

                <div class="price-box product-price_pd_{{$product->id}}">
                    
                  @if (productBasePrice($product) == discountedProductBasePrice($product))
                      @if (productBasePrice($product) == productMaxPrice($product))
                          <span class="price-regular">{{ formatPrice(productBasePrice($product)) }}</span>
                      @else
                          <span class="price-regular">{{ formatPrice(productBasePrice($product)) }}</span>
                          -
                          <span class="price-regular">{{ formatPrice(productMaxPrice($product)) }}</span>
                      @endif
                  @else
                      @if (discountedProductBasePrice($product) == discountedProductMaxPrice($product))
                          <span class="price-regular">{{ formatPrice(discountedProductBasePrice($product)) }}</span>
                      @else
                          <span class="price-regular">{{ formatPrice(discountedProductBasePrice($product)) }}</span>
                          -
                          <span class="price-regular">{{ formatPrice(discountedProductMaxPrice($product)) }}</span>
                      @endif
                      
                      @if (!isset($onlyPrice) || $onlyPrice == false)
                          @if (productBasePrice($product) == productMaxPrice($product))
                              <span
                                  class="price-old {{ isset($br) ? '' : 'ms-1' }}">{{ formatPrice(productBasePrice($product)) }}</span>
                          @else
                              <span
                                  class="price-old {{ isset($br) ? '' : 'ms-1' }}">{{ formatPrice(productBasePrice($product)) }}</span>
                              -
                              <span class="price-old ms-1">{{ formatPrice(productMaxPrice($product)) }}</span>
                          @endif
                      @endif
                  @endif
                  
                </div>
               
                <p class="pro-desc">{{$product->short_description ?? ''}}</p>
                <form action="{{route('carts.store')}}" method="post" class="quick_view_form">
                    @csrf
                    <input type="hidden" value="{{$product->id}}" name="product_id" class="product_id">
                    @if (count(generateVariationOptions($product->variation_combinations)) > 0)
                    @foreach (generateVariationOptions($product->variation_combinations) as $variation)
                        <input type="hidden" name="variation_id[]" value="{{ $variation['id'] }}" class="variation-for-cart">
                        <div class="pro-size">
                            <h6 class="option-title">{{ $variation['name'] }} :</h6>
                            <select class="nice-select attribute_dropdown" name="variation_value_for_variation_{{ $variation['id'] }}" >
                                @foreach ($variation['values'] as $value)
                                    <option @if ($loop->first) selected @endif  value="{{ $value['id'] }}" 
                                        data-id="{{$variation['id']}}:{{ $value['id']}}/" title="{{ $value['name'] }}">
                                        {{ $value['name'] }}
                                    </option>
                                @endforeach
                            </select>
                        </div>
                    @endforeach
                    @endif

                  <div class="quantity-cart-box d-flex align-items-center">
                      <h6 class="option-title">qty:</h6>
                      <div class="quantity">
                          <div class="pro-qty">
                            <input type="text" class="qty_val" data-min_val="{{$product->minimum_quantity ?? 1}}" data-product="{{$product->increment_unit}}" name="quantity" value="{{$product->minimum_quantity}}">
                        </div>
                      </div>
                      <div class="action_link">
                        <button class="btn btn-cart2" type="submit">Add to cart</button>
                    </div>
                  </div>
                </form>

                <div class="useful-links">
                
                    <a href="javascript:void(0)" onclick="addToWishlist({{ $product->id }})" data-bs-toggle="tooltip" title="Wishlist"><i
                        class="pe-7s-like"></i>wishlist</a>
                </div>
                <div class="like-icon">
                    <a class="facebook" href="https://www.facebook.com/sharer/sharer.php?u={{$currentURL}}"target="_blank">
                        <i class="fa fa-facebook"></i> like
                    </a> 
                    <a class="twitter" href="https://twitter.com/intent/tweet?text={{ $currentURL }}" target="_blank">
                        <i class="fa fa-twitter"></i> tweet
                    </a> 
                    <a class="facebook" href="https://api.whatsapp.com/send?text={{ $currentURL }}" target="_blank">
                        <i class="fa fa-whatsapp"></i> share
                    </a> 
                </div>
            </div>
        </div>
    </div>
</div> 


