@php
$galleryImages = !empty($product->gallery_images) ? explode(',', $product->gallery_images) : [];
@endphp
<div class="product-details-inner">
    <div class="row">
        <div class="col-lg-5">
            <div class="product-large-slider">

                <div class="pro-large-img img-zoom">
                <img src="{{ uploadedAsset($product->thumbnail_image) }}" 
                    alt="{{ $product->collectLocalization('name') }}" 
                    onerror="this.onerror=null;this.src='{{ asset('backend/assets/img/placeholder-thumb.png') }}';">
                </div>

                @if(!empty($galleryImages) || sizeof($galleryImages)>0)  
                @forelse ($galleryImages as $galleryImage)
                    <div class="pro-large-img img-zoom">
                    <img src="{{ uploadedAsset($galleryImage) }}"  
                        onerror="this.onerror=null;this.src='{{ asset('backend/assets/img/placeholder-thumb.png') }}';" 
                        alt="{{ $product->collectLocalization('name') }}">
                    </div>
                @empty
                @endforelse
                @endif

            </div>
            <div class="pro-nav slick-row-10 slick-arrow-style">
                <div class="pro-nav-thumb">
                <img src="{{ uploadedAsset($product->thumbnail_image) }}" 
                    alt="{{ $product->collectLocalization('name') }}" 
                    onerror="this.onerror=null;this.src='{{ asset('backend/assets/img/placeholder-thumb.png') }}';">
                </div>

                @if(!empty($galleryImages) || sizeof($galleryImages)>0)  
                @forelse ($galleryImages as $galleryImage)
                <div class="pro-nav-thumb">
                    <img src="{{ uploadedAsset($galleryImage) }}"  
                    onerror="this.onerror=null;this.src='{{ asset('backend/assets/img/placeholder-thumb.png') }}';" 
                    alt="{{ $product->collectLocalization('name') }}">
                </div>
                @empty
                @endforelse
                @endif
            
            </div>
        </div>
        <div class="col-lg-7">
            <div class="product-details-des">
                <div class="manufacturer-name">
                    <a href="product-details.html">{{ $product->brand->name ?? '' }}</a>
                </div>
                <h3 class="product-name">{{ $product->collectLocalization('name') }}</h3>
                <div class="ratings d-flex">
                    <span><i class="fa fa-star-o"></i></span>
                    <span><i class="fa fa-star-o"></i></span>
                    <span><i class="fa fa-star-o"></i></span>
                    <span><i class="fa fa-star-o"></i></span>
                    <span><i class="fa fa-star-o"></i></span>
                    <div class="pro-review">
                        <span>1 Reviews</span>
                    </div>
                </div>
                <div class="price-box">
                @if (productBasePrice($product) == discountedProductBasePrice($product))
                    @if (productBasePrice($product) == productMaxPrice($product))
                        <span class="price-regular">{{ formatPrice(productBasePrice($product)) }}</span>
                    @else
                        <span class="price-regular">{{ formatPrice(productBasePrice($product)) }}</span>
                        -
                        <span class="price-regular">{{ formatPrice(productMaxPrice($product)) }}</span>
                    @endif
                @else
                    @if (discountedProductBasePrice($product) == discountedProductMaxPrice($product))
                        <span class="price-regular">{{ formatPrice(discountedProductBasePrice($product)) }}</span>
                    @else
                        <span class="price-regular">{{ formatPrice(discountedProductBasePrice($product)) }}</span>
                        -
                        <span class="price-regular">{{ formatPrice(discountedProductMaxPrice($product)) }}</span>
                    @endif

                    

                    @if (!isset($onlyPrice) || $onlyPrice == false)
                        @if (productBasePrice($product) == productMaxPrice($product))
                            <span
                                class="price-old {{ isset($br) ? '' : 'ms-1' }}">{{ formatPrice(productBasePrice($product)) }}</span>
                        @else
                            <span
                                class="price-old {{ isset($br) ? '' : 'ms-1' }}">{{ formatPrice(productBasePrice($product)) }}</span>
                            -
                            <span class="price-old ms-1">{{ formatPrice(productMaxPrice($product)) }}</span>
                        @endif
                    @endif
                @endif
            </div>
                
                <p class="pro-desc">{{$product->short_description ?? ''}}</p> 
                <form action="" class="direct-add-to-cart-form">
                    <input type="hidden" value="{{$product->id}}" name="product_id" class="product_id">
                    <input type="hidden" name="_token" value="{{ csrf_token() }}">
                    @if (count(generateVariationOptions($product->variation_combinations)) > 0)
                        @foreach (generateVariationOptions($product->variation_combinations) as $variation)
                        <input type="hidden" name="variation_id[]" value="{{ $variation['id'] }}" class="variation-for-cart">
                        <div class="pro-size">
                            <h6 class="option-title">{{ $variation['name'] }} :</h6>
                            <select class="nice-select" name="variation_value_for_variation_{{ $variation['id'] }}" >
                                @foreach ($variation['values'] as $value)
                                    <option @if ($loop->first) selected @endif  value="{{ $value['id'] }}" 
                                        data="{{$variation['id']}}:{{ $value['id']}}/" title="{{ $value['name'] }}">
                                        {{ $value['name'] }}
                                    </option>
                                @endforeach
                            </select>
                        </div>
                        @endforeach
                    @endif

                    <div class="quantity-cart-box d-flex align-items-center">
                        <h6 class="option-title">qty:</h6>
                        <div class="quantity">
                            <div class="pro-qty"><input type="text" name="quantity" data-product="{{$product->increment_unit}}" value="{{$product->minimum_quantity}}"></div>
                        </div>
                        <div class="action_link">
                            <button class="btn btn-cart2 direct-add-to-cart-btn add-to-cart-text" onclick="directAddToCartFormSubmit(this)">Add to cart</button>
                        </div>
                    </div>
                </form>

                <div class="useful-links">
                    <a href="javascript:void(0)"  onclick="addToWishlist({{ $product->id }})" data-bs-toggle="tooltip" title="Wishlist"><i
                        class="pe-7s-like"></i>wishlist</a>
                </div>
                <div class="like-icon">
                    <a class="facebook" href="javascript:void(0);" onclick="shareOnFacebook('{{ url()->current() }}')"><i class="fa fa-facebook"></i>facebook</a>
                    <a class="twitter" href="javascript:void(0);" onclick="shareOnTwitter('{{ url()->current() }}')"><i class="fa fa-twitter"></i>twitter</a>
                </div>
            </div>
        </div>
    </div>
</div> 