<x-frontend.app-layout>

  @section('title')
  {{ localize('Customer Dashboard') }} {{ getSetting('title_separator') }} {{ getSetting('system_title') }}
  @endsection


  <main>

    <!-- my account wrapper start -->
    <div class="my-account-wrapper section-padding">
      <div class="container">
        <div class="section-bg-color">
          <div class="row">
            <div class="col-lg-12">
              <!-- My Account Page Start -->
              <div class="myaccount-page-wrapper">
                <!-- My Account Tab Menu Start -->
                <div class="row">

                  @include('frontend.users.partials.customerSidebar')
                  <!-- My Account Tab Menu End -->

                  <!-- My Account Tab Content Start -->
                  <div class="col-lg-9 col-md-8">

                    <div class="tab-content" id="myaccountContent">
              
                      <!-- Single Tab Content Start -->
                      <div class="tab-pane fade  active" id="address" role="tabpanel">
                        <div class="myaccount-content">
                          <div class="d-flex justify-content-between">
                            <h5>Address Book</h5>
                            <h5><a href="javascript:void(0);" onclick="addNewAddress()">
                               + Add Address </a></h5>
                          </div>
                          <div class="row">
                            @foreach ($addresses as $addresse)
                         
                            <div class="col-4">
                              <address>
                                <p><strong>{{ $addresse->name }}</strong></p>
                                <p>{{$addresse->address}}<br /> {{ $addresse->state }}, {{ $addresse->city }} - {{$addresse->country->name ?? ''}}</p>
                                <p>Pincode: {{ $addresse->pincode }}</p>
                                <p>Mobile: {{ $addresse->phone }}</p>
                              </address>
                              <a href="javascript:void(0);" onclick="editAddress({{ $addresse->id }})"
                                class="btn btn-sqr tt-edit-address"><i class="fa fa-edit"></i></a>

                              <a href="javascript:void(0);" data-url="{{ route('address.delete', $addresse->id) }}"
                                onclick="deleteAddress(this)" class="btn btn-sqr"><i class="fa fa-trash"></i></a>

                            </div>
                            @endforeach

                          </div>
                        </div>
                      </div>
                      <!-- Single Tab Content End -->
                    </div>
                  </div>
                  <!-- My Account Tab Content End -->
                </div>
              </div> <!-- My Account Page End -->
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- my account wrapper end -->
  </main>

  <!--  modal start -->
  <div class="modal fade" id="addAddressModal" tabindex="-1" aria-labelledby="addAddressModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header mt-3">
          <h5 class="modal-title" id="addAddressModalLabel">Add Address</h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body">
          <form action="{{ route('address.store') }}" method="POST" class="review-form">
            @csrf
            <div class="row">
              <div class="col-lg-6">
                <div class="single-input-item">
                  <label for="name" class="required">{{ localize('Name') }}</label>
                  <input type="text" name="name" id="name" required />
                </div>
              </div>
              <div class="col-lg-6">
                <div class="single-input-item">
                  <label for="country_id" class="required">{{ localize('Country') }}</label>
                  <select name="country_id" required>
                    @foreach ($countries as $country)
                      @if($country->id ==101)
                        <option value="{{ $country->id }}">{{ $country->name }}</option>
                      @endif
                    @endforeach
                  </select>
                </div>
              </div>

            </div>
            <div class="row">

        
              <div class="col-lg-6">
                <div class="single-input-item">
                  <label for="state_id" class="required">{{ localize('State') }}</label>
                  <select name="state_id" required>
                    @foreach ($states as $state)
                      <option value="{{ $state->name }}" @if($state->id==4) selected @endif>{{ $state->name }}</option>
                    @endforeach
                  </select>
                </div>
              </div>

              <div class="col-lg-6">
                <div class="single-input-item">
                  <label for="city_id" class="required">{{ localize('City') }}</label>
                  <input type="text" name="city_id" required />
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-lg-6">
                <div class="single-input-item">
                  <label for="phone" class="required">{{ localize('Phone') }}</label>
                  <input type="number" name="phone" id="phone" required />
                </div>
              </div>
              <div class="col-lg-6">
                <div class="single-input-item">
                  <label for="pincode" class="required">{{ localize('Pincode') }}</label>
                  <input type="number" name="pincode" id="pincode" required />
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-lg-12">
                <div class="single-input-item">
                  <label for="address" class="required">{{ localize('Address') }}</label>
                  <textarea rows="4" placeholder="{{ localize('2/5 Elephant Road, New Town') }}"
                    name="address"></textarea>
                </div>
              </div>
            </div>
            <button type="submit" class="btn btn-sqr">Save</button>
          </form> 
        </div>
      </div>
    </div>
  </div>


  <div class="modal fade deleteAddressModal" id="deleteAddressModal">
    <div class="modal-dialog address-delete-modal modal-dialog-centered">
      <div class="modal-content">
        <div class="modal-body">
          <button type="button" class="btn-close float-end" data-bs-dismiss="modal" aria-label="Close"></button>
          <div class="bg-white rounded-3 py-6 px-4">
            <h2 class="modal-title fs-5 mb-3">{{ localize('Delete Address') }}</h2>
            <div class="pt-6 pb-8 text-center">
              <h6>{{ localize('Want to delete this address?') }}</h6>
            </div>
            <div class="text-center">
              <a href="" class="btn btn-secondary delete-address-link">{{ localize('Delete') }}</a>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="modal fade editAddressModal" id="editAddressModal">
    <div class="modal-dialog modal-dialog-centered">
      <div class="modal-content">
        <div class="modal-body">
          <button type="button" class="btn-close float-end" data-bs-dismiss="modal" aria-label="Close"></button>
          <div class="gstore-product-quick-view bg-white rounded-3 py-6 px-4">
            <h2 class="modal-title fs-5 mb-3">{{ localize('Update Address') }}</h2>

            <div class="spinner pt-6 pb-8 d-none">
              <div class="row align-items-center g-4 mt-3">
                <div class="d-flex justify-content-center">
                  <div class="spinner-border" role="status">
                    <span class="visually-hidden">Loading...</span>
                  </div>
                </div>
              </div>
            </div>

            <div class="edit-address d-none">

            </div>
          </div>
        </div>
      </div>
    </div>
  </div>



  @push('scripts')
  <script>
    //  new address
    function addNewAddress() {
      $('#addAddressModal').modal('show');
    }

    //  get states on country change
    $(document).on('change', '[name=country_id]', function () {
      var country_id = $(this).val();
      getStates(country_id);
    });

    //  delete address
    function deleteAddress(thisAnchorTag) {
      $('#deleteAddressModal').modal('show');
      $('.delete-address-link').prop('href', $(thisAnchorTag).data('url'));
    }


    //  edit address
    function editAddress(addressId) {
      $('#editAddressModal').modal('show');
      $('.spinner').removeClass('d-none');
      $('.edit-address').addClass('d-none');

      parent = '.editAddressModal';
      getAddress(addressId);
    }

    //  get edit address
    function getAddress(addressId) {
      $.ajax({
        headers: {
          'X-CSRF-TOKEN': '{{ csrf_token() }}'
        },
        url: "{{ route('address.edit') }}",
        type: 'POST',
        data: {
          addressId: addressId
        },
        success: function (response) {
          $('.spinner').addClass('d-none');
          $('.edit-address').html(response);
          $('.edit-address').removeClass('d-none');
          addressModalSelect2(parent);
        }
      });
    }

  </script>
  @endpush
</x-frontend.app-layout>