<x-frontend.app-layout>

   
    @section('title')
        {{ localize('Customer Order History') }} {{ getSetting('title_separator') }} {{ getSetting('system_title') }}
    @endsection
    
    @php
        $user = auth()->user();
    @endphp
    
    
    <main>
        <!-- breadcrumb area start -->
        <div class="breadcrumb-area">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <div class="breadcrumb-wrap">
                            <nav aria-label="breadcrumb">
                                <ul class="breadcrumb">
                                    <li class="breadcrumb-item"><a href="{{route('home')}}"><i class="fa fa-home"></i></a></li>
                                    <li class="breadcrumb-item active" aria-current="page">My-Orders</li>
                                </ul>
                            </nav>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- breadcrumb area end -->
    
        <!-- my account wrapper start -->
        <div class="my-account-wrapper section-padding">
            <div class="container">
                <div class="section-bg-color">
                    <div class="row">
                        <div class="col-lg-12">
                            <!-- My Account Page Start -->
                            <div class="myaccount-page-wrapper">
                               
                                <div class="row">
                                    <!-- My Account Tab Menu Start -->
                                    @include('frontend.users.partials.customerSidebar')
                                    <!-- My Account Tab Menu End -->
    
                                    <!-- My Account Tab Content Start -->
                                    <div class="col-lg-9 col-md-8">
                                        <div class="tab-content" id="myaccountContent">
                                           
                                            <!-- Single Tab Content Start -->
                                            <div class="tab-pane fade active" id="orders" role="tabpanel">
                                                <div class="myaccount-content">
                                                    <h5>Orders</h5>
                                                    <div class="myaccount-table table-responsive text-center">
                                                        <table class="table table-bordered">
                                                            <thead class="thead-light">
                                                
                                                                <tr>
                                                                    <th>{{ localize('Order Code') }}</th>
                                                                    <th>{{ localize('Placed on') }}</th>
                                                                    <th>{{ localize('Items') }}</th>
                                                                    <th>{{ localize('Total') }}</th>
                                                                    <th>{{ localize('Status') }}</th>
                                                                    <th class="text-center">{{ localize('Action') }}</th>
                                                                </tr>
                                                            </thead>
                                                            <tbody>
                                                                
                                                                @forelse ($orders as $order)
                                                                
                                                                <tr>
                                                                    <td>{{ getSetting('order_code_prefix') }}{{ $order->order_code }}</td>
                                                                    <td>{{ date('d M, Y', strtotime($order->created_at)) }}</td>
                                                                    <td>{{ $order->orderItems()->count() }}</td>
                                                                    <td class="text-secondary"> {{ formatPrice($order->grand_total_amount) }}</td>
                                                                    <td>
                                                                        @if($order->order_status == '1')
                                                                            <span class="badge badge bg-success">Deliverd</span>
                                                                        @elseif ($order->order_status == '2')
                                                                            <span class="badge badge bg-danger">Cancelled</span>
                                                                        @elseif ($order->order_status == '3')
                                                                            <span class="badge badge bg-primary">Placed</span>
                                                                        @elseif ($order->order_status == '4')
                                                                            <span class="badge badge bg-warning">Failed</span>
                                                                        @elseif ($order->order_status == '5')
                                                                            <span class="badge badge bg-primary">Pending</span>
                                                                        @endif  
                                                                    </td>
                                                                    <td class="text-center">
                                                                        {{-- <a href="{{ route('user.trackOrder') }}?code={{ $order->order_code }}"
                                                                            class="view-invoice fs-xs me-2" target="_blank" data-bs-toggle="tooltip"
                                                                            data-bs-placement="top"
                                                                            data-bs-title="{{ localize('Track My Order') }}"><i
                                                                                class="fas fa-truck text-dark"></i>
                                                                        </a> --}}
                                                                        {{--                         
                                                                        <a href="{{ route('checkout.invoice', $order->order_code) }}"
                                                                            class="view-invoice fs-xs" target="_blank" data-bs-toggle="tooltip"
                                                                            data-bs-placement="top"
                                                                            data-bs-title="{{ localize('View Details') }}"><i
                                                                                class="fas fa-eye"></i>
                                                                        </a> --}}
                        
                                                                        {{-- <a href="#" class="btn btn-sqr">Track</a> --}}
                                                                        <a href="{{ route('checkout.invoice', $order->order_code) }}" class="btn btn-sqr">Invoice</a>

                                                                    </td>
                                                                </tr>
                                                            @empty
                                                            @endforelse

                                                            </tbody>
                                                        </table>
                                                        @if($orders->lastPage() > 1)
                                                          <!-- start pagination area -->
                                                            <div class="paginatoin-area text-center">
                                                                {{ $orders->links('vendor.pagination.bootstrap-4') }}
                                                            </div>
                                                            <!-- end pagination area -->
                                                        @endif
                                                    </div>
                                                </div>
                                            </div>
                                            <!-- Single Tab Content End -->
          
                                        </div>
                                    </div> <!-- My Account Tab Content End -->
                                </div>
                            </div> <!-- My Account Page End -->
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- my account wrapper end -->
    </main>
    
    </x-frontend.app-layout>

