<x-frontend.app-layout>

    @section('title')
        {{ localize('Customer Profile') }} {{ getSetting('title_separator') }} {{ getSetting('system_title') }}
    @endsection
    
    @php
        $user = auth()->user();
    @endphp
    
    
    <main>
        <!-- breadcrumb area start -->
        <div class="breadcrumb-area">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <div class="breadcrumb-wrap">
                            <nav aria-label="breadcrumb">
                                <ul class="breadcrumb">
                                    <li class="breadcrumb-item"><a href="{{route('home')}}"><i class="fa fa-home"></i></a></li>
                                    <li class="breadcrumb-item active" aria-current="page">my-account</li>
                                </ul>
                            </nav>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- breadcrumb area end -->
    
        <!-- my account wrapper start -->
        <div class="my-account-wrapper section-padding">
            <div class="container">
                <div class="section-bg-color">
                    <div class="row">
                        <div class="col-lg-12">
                            <!-- My Account Page Start -->
                            <div class="myaccount-page-wrapper">
                               
                                <div class="row">
                                    <!-- My Account Tab Menu Start -->
                                    @include('frontend.users.partials.customerSidebar')
                                    <!-- My Account Tab Menu End -->
    
                                    <!-- My Account Tab Content Start -->
                                    <div class="col-lg-9 col-md-8">
                                        <div class="tab-content" id="myaccountContent">
                                        
                                            <!-- Single Tab Content Start -->
                                            <div class="tab-pane fade active" id="account-info" role="tabpanel">
                                                <div class="myaccount-content">
                                                    <h5>Account Details</h5>
                                                    <div class="account-details-form">
                                                        <form class="profile-form" action="{{ route('customers.updateProfile') }}" method="POST">
                                                            @csrf
                                                            <input type="hidden" name="type" value="info">
                                                            <div class="single-input-item">
                                                                <label for="name" class="required">Name</label>
                                                                <input type="name" name="name"  value="{{ $user->name }}" id="name" placeholder="Name" required/>
                                                            </div>

                                                            <div class="row">
                                                                <div class="col-lg-6">
                                                                    <div class="single-input-item">
                                                                        <label for="email" >Email</label>
                                                                        <input type="email" name="email" value="{{ $user->email }}" id="email" placeholder="Email" />
                                                                    </div>
                                                                </div>
                                                                <div class="col-lg-6">
                                                                    <div class="single-input-item">
                                                                        <label for="phone" class="required">Phone</label>
                                                                        <input type="text" value="{{ $user->phone }}" disabled id="phone" placeholder="Phone" />
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="single-input-item">
                                                                <button type="submit" class="btn btn-sqr">Update Profile</button>
                                                            </div>
                                                        </form>

                                                        <form class="password-reset-form" action="{{ route('customers.updateProfile') }}" method="POST">
                                                            @csrf
                                                            <input type="hidden" name="type" value="password">
                                                            <fieldset>
                                                                <legend>Password change</legend>
                                                              
                                                                <div class="row">
                                                                    <div class="col-lg-6">
                                                                        <div class="single-input-item">
                                                                            <label for="new-pwd" class="required">New
                                                                                Password</label>
                                                                            <input type="password" name="password" id="new-pwd" placeholder="******"/>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-lg-6">
                                                                        <div class="single-input-item">
                                                                            <label for="confirm-pwd" class="required">Confirm
                                                                                Password</label>
                                                                            <input type="password" name="password_confirmation" id="confirm-pwd" placeholder="******"/>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </fieldset>
                                                            <div class="single-input-item">
                                                                <button type="submit" class="btn btn-sqr">Change Password</button>
                                                            </div>
                                                        </form>
                                                    </div>
                                                </div>
                                            </div> <!-- Single Tab Content End -->

                                        </div>
                                    </div> <!-- My Account Tab Content End -->
                                </div>
                            </div> <!-- My Account Page End -->
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- my account wrapper end -->
    </main>
    
</x-frontend.app-layout>