@if ($paginator->hasPages())
    <ul class="pagination-box">
        {{-- Previous Page Link --}}
        @if ($paginator->onFirstPage())
            <li><a class="previous disabled" href="#"><i class="pe-7s-angle-left"></i></a></li>
        @else
            <li><a class="previous" href="{{ $paginator->previousPageUrl() }}"><i class="pe-7s-angle-left"></i></a></li>
        @endif

        {{-- Pagination Elements --}}
        @foreach ($elements as $element)
            {{-- "Three Dots" Separator --}}
            @if (is_string($element))
                <li><a class="current">{{ $element }}</a></li>
            @endif

            {{-- Array Of Links --}}
            @if (is_array($element))
                @foreach ($element as $page => $url)
                    @if ($page == $paginator->currentPage())
                        <li class="active"><a class="current">{{ $page }}</a></li>
                    @else
                        <li><a href="{{ $url }}">{{ $page }}</a></li>
                    @endif
                @endforeach
            @endif
        @endforeach

        {{-- Next Page Link --}}
        @if ($paginator->hasMorePages())
            <li><a class="next" href="{{ $paginator->nextPageUrl() }}"><i class="pe-7s-angle-right"></i></a></li>
        @else
            <li><a class="next disabled" href="#"><i class="pe-7s-angle-right"></i></a></li>
        @endif
    </ul>
@endif