<?php


use App\Http\Controllers\Backend\Appearance\BannerSectionOneController;
use App\Http\Controllers\Backend\Appearance\BannerSectionTwoController;
use App\Http\Controllers\Backend\Appearance\BestDealProductsController;
use App\Http\Controllers\Backend\Appearance\BestSellingProductsController;
use App\Http\Controllers\Backend\Appearance\ClientFeedbackController;
use App\Http\Controllers\Backend\Appearance\FeaturedProductsController;
use App\Http\Controllers\Backend\Appearance\GiveawayController;
use App\Http\Controllers\Backend\Appearance\FooterController;
use App\Http\Controllers\Backend\Appearance\HeaderController;
use App\Http\Controllers\Backend\Appearance\HeroController;
use App\Http\Controllers\Backend\Appearance\ProductsPageController;
use App\Http\Controllers\Backend\Appearance\TopCategoriesController;
use App\Http\Controllers\Backend\Appearance\TopTrendingProductsController;
use App\Http\Controllers\Backend\DashboardController;
use App\Http\Controllers\Backend\Appearance\AboutUsPageController;

use App\Http\Controllers\Backend\SettingsController;
use App\Http\Controllers\Backend\SubscribersController;
use App\Http\Controllers\Backend\CustomersController;
use App\Http\Controllers\Backend\StaffsController;
use App\Http\Controllers\Backend\Products\VariationsController;
use App\Http\Controllers\Backend\Products\VariationValuesController;

use App\Http\Controllers\Backend\Products\TaxesController; 
use App\Http\Controllers\Backend\Products\ReviewController;
use App\Http\Controllers\Backend\Products\CategoriesController;
use App\Http\Controllers\Backend\Products\ProductsController;

use App\Http\Controllers\Backend\Pages\PagesController;
use App\Http\Controllers\Backend\Tags\TagsController;
use App\Http\Controllers\Backend\Contacts\ContactUsMessagesController;

use App\Http\Controllers\Backend\MediaManager\MediaManagerController;
use App\Http\Controllers\Backend\Newsletters\NewslettersController;
use App\Http\Controllers\Backend\Orders\OrdersController;
use App\Http\Controllers\Backend\Stocks\StocksController;
use App\Http\Controllers\Backend\Stocks\LocationsController;

use App\Http\Controllers\Backend\Products\BrandsController;
use App\Http\Controllers\Backend\OrderSettingsController;

use App\Http\Controllers\Backend\Roles\RolesController;
use App\Http\Controllers\Backend\Reports\ReportsController;
use Illuminate\Support\Facades\Route;

use App\Http\Controllers\Backend\Products\AddOnProductsController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

# variation to create product --> also used in vendor panel




Route::group(['prefix' => 'backend'], function () {
    Route::group(['prefix' => 'products', 'middleware' => ['auth']], function () {
        Route::post('/get-variation-values', [ProductsController::class, 'getVariationValues'])->name('product.getVariationValues');
        Route::post('/new-variation', [ProductsController::class, 'getNewVariation'])->name('product.newVariation');
        Route::post('/variation-combination', [ProductsController::class, 'generateVariationCombinations'])->name('product.generateVariationCombinations');

    });

    # change settings
    Route::post('/change-currency', [CurrenciesController::class, 'changeCurrency'])->name('backend.changeCurrency');
    Route::post('/change-language', [LanguageController::class, 'changeLanguage'])->name('backend.changeLanguage');
    Route::post('/change-location', [LocationsController::class, 'changeLocation'])->name('backend.changeLocation');


});


Route::group(
    ['prefix' => 'admin', 'middleware' => ['auth', 'admin']],
    function () {
        # dashboard
        Route::get('/dashboard', [DashboardController::class, 'index'])->name('admin.dashboard');
        Route::get('/profile', [DashboardController::class, 'profile'])->name('admin.profile');
        Route::post('/profile', [DashboardController::class, 'updateProfile'])->name('admin.profile.update');


        #sms settings 
        Route::get('/settings/sms', [SettingsController::class, 'smsSettings'])->name('admin.settings.smsSettings');

        # settings
        Route::post('/settings/env-key-update', [SettingsController::class, 'envKeyUpdate'])->name('admin.envKey.update');
        Route::get('/settings/general-settings', [SettingsController::class, 'index'])->name('admin.generalSettings');
        Route::get('/settings/smtp-settings', [SettingsController::class, 'smtpSettings'])->name('admin.smtpSettings.index');
        Route::post('/settings/test/smtp', [SettingsController::class, 'testEmail'])->name('admin.test.smtp');
        Route::post('/settings/update', [SettingsController::class, 'update'])->name('admin.settings.update');

        #payment methods 
        Route::get('/settings/payment-methods', [SettingsController::class, 'paymentMethods'])->name('admin.settings.paymentMethods');
        Route::post('/settings/update-payment-methods', [SettingsController::class, 'updatePaymentMethods'])->name('admin.settings.updatePaymentMethods');

        #order settings
        Route::get('/settings/order-settings', [OrderSettingsController::class, 'index'])->name('admin.orderSettings');
        
        # social login

        Route::post('/settings/activation', [SettingsController::class, 'updateActivation'])->name('admin.settings.activation');

    
        # products
        Route::group(['prefix' => 'products'], function () {
            # products 
            Route::get('/', [ProductsController::class, 'index'])->name('admin.products.index');
            Route::get('/add-product', [ProductsController::class, 'create'])->name('admin.products.create');
            Route::post('/product', [ProductsController::class, 'store'])->name('admin.products.store');
            Route::get('/update-product/{id}', [ProductsController::class, 'edit'])->name('admin.products.edit');
            Route::post('/update-product', [ProductsController::class, 'update'])->name('admin.products.update');
            Route::post('/update-featured-product', [ProductsController::class, 'updateFeatured'])->name('admin.products.updateFeatureStatus');
            Route::post('/update-published-product', [ProductsController::class, 'updatePublishedStatus'])->name('admin.products.updatePublishedStatus');
            Route::get('/delete-product/{id}', [ProductsController::class, 'delete'])->name('admin.products.delete');

             # brands
             Route::get('/brands', [BrandsController::class, 'index'])->name('admin.brands.index');
             Route::post('/brand', [BrandsController::class, 'store'])->name('admin.brands.store');
             Route::get('/brands/edit/{id}', [BrandsController::class, 'edit'])->name('admin.brands.edit');
             Route::post('/brands/update-brand', [BrandsController::class, 'update'])->name('admin.brands.update');
             Route::post('/brands/update-status', [BrandsController::class, 'updateStatus'])->name('admin.brands.updateStatus');
             Route::get('/brands/delete/{id}', [BrandsController::class, 'delete'])->name('admin.brands.delete');
 

            # Add On Products 

            Route::get('/addon-products', [AddOnProductsController::class, 'index'])->name('admin.addon-products.index');
            Route::get('/add-addon-products', [AddOnProductsController::class, 'create'])->name('admin.addon-products.create');
            Route::post('/addon-products', [AddOnProductsController::class, 'store'])->name('admin.addon-products.store');
            Route::get('/update-addon-products/{id}', [AddOnProductsController::class, 'edit'])->name('admin.addon-products.edit');
            Route::post('/update-addon-products', [AddOnProductsController::class, 'update'])->name('admin.addon-products.update');

            Route::post('/update-published-addon-product', [AddOnProductsController::class, 'updatePublishedStatus'])->name('admin.addon-products.updatePublishedStatus');

            // Route::get('/delete-product/{id}', [ProductsController::class, 'delete'])->name('admin.add-products.delete');

            # categories 
            Route::get('/category', [CategoriesController::class, 'index'])->name('admin.categories.index');
            Route::get('/add-category', [CategoriesController::class, 'create'])->name('admin.categories.create');
            Route::post('/category', [CategoriesController::class, 'store'])->name('admin.categories.store');
            Route::get('/update-category/{id}', [CategoriesController::class, 'edit'])->name('admin.categories.edit');
            Route::post('/update-category', [CategoriesController::class, 'update'])->name('admin.categories.update');
            Route::post('/update-feature-category', [CategoriesController::class, 'updateFeatured'])->name('admin.categories.updateFeatureStatus');
            Route::post('/update-top-category', [CategoriesController::class, 'updateTop'])->name('admin.categories.updateTopStatus');
            Route::get('/products/delete-category/{id}', [CategoriesController::class, 'delete'])->name('admin.categories.delete');

            # variations
            Route::get('/variations', [VariationsController::class, 'index'])->name('admin.variations.index');
            Route::post('/variation', [VariationsController::class, 'store'])->name('admin.variations.store');
            Route::get('/variations/edit/{id}', [VariationsController::class, 'edit'])->name('admin.variations.edit');
            Route::post('/variations/update', [VariationsController::class, 'update'])->name('admin.variations.update');
            Route::post('/variations/update-status', [VariationsController::class, 'updateStatus'])->name('admin.variations.updateStatus');
            Route::get('/variations/delete/{id}', [VariationsController::class, 'delete'])->name('admin.variations.delete');

            # variation values
            Route::get('/variations/{id}', [VariationValuesController::class, 'index'])->name('admin.variationValues.index');
            Route::post('/variation-values', [VariationValuesController::class, 'store'])->name('admin.variationValues.store');
            Route::get('/variations-values/edit/{id}', [VariationValuesController::class, 'edit'])->name('admin.variationValues.edit');
            Route::post('/variations-values/update', [VariationValuesController::class, 'update'])->name('admin.variationValues.update');
            Route::post('/variations-values/update-status', [VariationValuesController::class, 'updateStatus'])->name('admin.variationValues.updateStatus');
            Route::get('/variations-values/delete/{id}', [VariationValuesController::class, 'delete'])->name('admin.variationValues.delete');

        

            # taxes
            Route::get('/taxes', [TaxesController::class, 'index'])->name('admin.taxes.index');
            Route::post('/tax', [TaxesController::class, 'store'])->name('admin.taxes.store');
            Route::get('/taxes/edit/{id}', [TaxesController::class, 'edit'])->name('admin.taxes.edit');
            Route::post('/taxes/update', [TaxesController::class, 'update'])->name('admin.taxes.update');
            Route::post('/taxes/update-status', [TaxesController::class, 'updateStatus'])->name('admin.taxes.updateStatus');
            Route::get('/taxes/delete/{id}', [TaxesController::class, 'delete'])->name('admin.taxes.delete');


            #Customer 
            Route::get('/review', [ReviewController::class, 'index'])->name('admin.review.index');
            Route::post('/review-store', [ReviewController::class, 'store'])->name('admin.review.store');
            Route::get('/review/edit/{id}', [ReviewController::class, 'edit'])->name('admin.review.edit');
            Route::post('/review/update', [ReviewController::class, 'update'])->name('admin.review.update');
            Route::post('/review/update-status', [ReviewController::class, 'updateStatus'])->name('admin.review.updateStatus');
            Route::get('/review/delete/{id}', [ReviewController::class, 'delete'])->name('admin.review.delete');

        });


        # orders
        Route::group(['prefix' => 'orders'], function () {
            Route::get('/', [OrdersController::class, 'index'])->name('admin.orders.index');
            Route::get('/{id}', [OrdersController::class, 'show'])->name('admin.orders.show');
            Route::post('/update-payment-status', [OrdersController::class, 'updatePaymentStatus'])->name('admin.orders.update_payment_status');
            Route::post('/update-order-status', [OrdersController::class, 'updateOrderStatus'])->name('admin.orders.update_delivery_status');
            Route::get('/invoice-download/{id}', [OrdersController::class, 'downloadInvoice'])->name('admin.orders.downloadInvoice');
        });

         # orders
        //  Route::group(['prefix' => 'orders'], function () {
        //     Route::get('/', [OrdersController::class, 'index'])->name('admin.orders.index');
        //     Route::get('/{id}', [OrdersController::class, 'show'])->name('admin.orders.show');
        //     Route::post('/update-payment-status', [OrdersController::class, 'updatePaymentStatus'])->name('admin.orders.update_payment_status');
        //     Route::post('/update-delivery-status', [OrdersController::class, 'updateDeliveryStatus'])->name('admin.orders.update_delivery_status');
        //     Route::get('/invoice-download/{id}', [OrdersController::class, 'downloadInvoice'])->name('admin.orders.downloadInvoice');
        // });

       

    
        # pages
        Route::group(['prefix' => 'pages'], function () {
            Route::get('/', [PagesController::class, 'index'])->name('admin.pages.index');
            Route::get('/add-page', [PagesController::class, 'create'])->name('admin.pages.create');
            Route::post('/add-page', [PagesController::class, 'store'])->name('admin.pages.store');
            Route::get('/edit/{id}', [PagesController::class, 'edit'])->name('admin.pages.edit');
            Route::post('/update-page', [PagesController::class, 'update'])->name('admin.pages.update');
            Route::get('/delete/{id}', [PagesController::class, 'delete'])->name('admin.pages.delete');
        });

        # customers
        Route::group(['prefix' => 'customers'], function () {
            Route::get('/', [CustomersController::class, 'index'])->name('admin.customers.index');
            Route::post('/update-banned-customer', [CustomersController::class, 'updateBanStatus'])->name('admin.customers.updateBanStatus');
        });

        # tags
        Route::get('/tags', [TagsController::class, 'index'])->name('admin.tags.index');
        Route::post('/tag', [TagsController::class, 'store'])->name('admin.tags.store');
        Route::get('/tags/edit/{id}', [TagsController::class, 'edit'])->name('admin.tags.edit');
        Route::post('/tags/update-tag', [TagsController::class, 'update'])->name('admin.tags.update');
        Route::get('/tags/delete/{id}', [TagsController::class, 'delete'])->name('admin.tags.delete');

 

        # media manager 
        Route::get('/media-manager', [MediaManagerController::class, 'index'])->name('admin.mediaManager.index');

        # bulk-emails
        Route::controller(NewslettersController::class)->group(function () {
            Route::get('/bulk-emails', 'index')->name('admin.newsletters.index');
            Route::post('/bulk-emails/send', 'sendNewsletter')->name('admin.newsletters.send');
        });

    

    
        # roles & permissions
        Route::group(['prefix' => 'roles'], function () {
            Route::get('/', [RolesController::class, 'index'])->name('admin.roles.index');
            Route::get('/add-role', [RolesController::class, 'create'])->name('admin.roles.create');
            Route::post('/add-role', [RolesController::class, 'store'])->name('admin.roles.store');
            Route::get('/update-role/{id}', [RolesController::class, 'edit'])->name('admin.roles.edit');
            Route::post('/update-role', [RolesController::class, 'update'])->name('admin.roles.update');
            Route::get('/delete-role/{id}', [RolesController::class, 'delete'])->name('admin.roles.delete');
        });

      
    # contact us message
    Route::group(['prefix' => 'contacts'], function () {
        Route::get('/', [ContactUsMessagesController::class, 'index'])->name('admin.queries.index');
        Route::get('/mark-as-read/{id}', [ContactUsMessagesController::class, 'read'])->name('admin.queries.markRead');
    });

        # appearance
        Route::group(['prefix' => 'appearance'], function () {

            # homepage - hero
            Route::get('/homepage/slider', [HeroController::class, 'hero'])->name('admin.appearance.homepage.hero');
            Route::post('/homepage/slider', [HeroController::class, 'storeHero'])->name('admin.appearance.homepage.storeHero');
            Route::get('/homepage/slider/edit/{id}', [HeroController::class, 'edit'])->name('admin.appearance.homepage.editHero');
            Route::post('/homepage/slider/update', [HeroController::class, 'update'])->name('admin.appearance.homepage.updateHero');
            Route::get('/homepage/slider/delete/{id}', [HeroController::class, 'delete'])->name('admin.appearance.homepage.deleteHero');

            # homepage - top category 
            Route::get('/homepage/top-category', [TopCategoriesController::class, 'index'])->name('admin.appearance.homepage.topCategories');

            # homepage - featured products 
            Route::get('/homepage/featured-products', [FeaturedProductsController::class, 'index'])->name('admin.appearance.homepage.featuredProducts');

            
            # homepage - Giveaway products 
            Route::get('/homepage/giveaway-products', [GiveawayController::class, 'index'])->name('admin.appearance.homepage.giveaway');

            # homepage - top trending products 
            Route::get('/homepage/trending-products', [TopTrendingProductsController::class, 'index'])->name('admin.appearance.homepage.topTrendingProducts');
            Route::post('/homepage/get-products-for-trending', [TopTrendingProductsController::class, 'getProducts'])->name('admin.appearance.homepage.getProducts');

            # homepage - banner section one
            Route::get('/homepage/banner-section-one', [BannerSectionOneController::class, 'index'])->name('admin.appearance.homepage.bannerOne');
            Route::post('/homepage/banner-section-one', [BannerSectionOneController::class, 'storeBannerOne'])->name('admin.appearance.homepage.storeBannerOne');
            Route::get('/homepage/banner-section-one/edit/{id}', [BannerSectionOneController::class, 'edit'])->name('admin.appearance.homepage.editBannerOne');
            Route::post('/homepage/banner-section-one/update', [BannerSectionOneController::class, 'update'])->name('admin.appearance.homepage.updateBannerOne');
            Route::get('/homepage/banner-section-one/delete/{id}', [BannerSectionOneController::class, 'delete'])->name('admin.appearance.homepage.deleteBannerOne');

            # homepage - best deals products 
            Route::get('/homepage/best-deal-products', [BestDealProductsController::class, 'index'])->name('admin.appearance.homepage.bestDeals');

            # homepage - banner section two
            Route::get('/homepage/banner-section-two', [BannerSectionTwoController::class, 'index'])->name('admin.appearance.homepage.bannerTwo');

            # client feedback
            Route::get('/homepage/client-feedback', [ClientFeedbackController::class, 'index'])->name('admin.appearance.homepage.clientFeedback');
            Route::post('/homepage/client-feedback', [ClientFeedbackController::class, 'store'])->name('admin.appearance.homepage.storeClientFeedback');
            Route::get('/homepage/client-feedback/edit/{id}', [ClientFeedbackController::class, 'edit'])->name('admin.appearance.homepage.editClientFeedback');
            Route::post('/homepage/client-feedback/update', [ClientFeedbackController::class, 'update'])->name('admin.appearance.homepage.updateClientFeedback');
            Route::get('/homepage/client-feedback/delete/{id}', [ClientFeedbackController::class, 'delete'])->name('admin.appearance.homepage.deleteClientFeedback');

            # homepage - best selling products 
            Route::get('/homepage/best-selling-products', [BestSellingProductsController::class, 'index'])->name('admin.appearance.homepage.bestSelling');

            # products - listing
            Route::get('/homepage/products', [ProductsPageController::class, 'index'])->name('admin.appearance.products.index');

            # products - details
            Route::get('/homepage/products-details', [ProductsPageController::class, 'details'])->name('admin.appearance.products.details');
            Route::post('/homepage/products-details', [ProductsPageController::class, 'storeWidget'])->name('admin.appearance.products.details.storeWidget');
            Route::get('/homepage/products-details/edit/{id}', [ProductsPageController::class, 'edit'])->name('admin.appearance.products.details.editWidget');
            Route::post('/homepage/products-details/update', [ProductsPageController::class, 'update'])->name('admin.appearance.products.details.updateWidget');
            Route::get('/homepage/products-details/delete/{id}', [ProductsPageController::class, 'delete'])->name('admin.appearance.products.details.deleteWidget');

             # about us - intro
             Route::get('/about-us', [AboutUsPageController::class, 'index'])->name('admin.appearance.about-us.index');

             # about us - popular brands
             Route::get('/about-us/popular-brands', [AboutUsPageController::class, 'popularBrands'])->name('admin.appearance.about-us.popularBrands');
 
             # about us - features
             Route::get('/about-us/features', [AboutUsPageController::class, 'features'])->name('admin.appearance.about-us.features');
             Route::post('/about-us/features', [AboutUsPageController::class, 'storeFeatures'])->name('admin.appearance.about-us.storeFeatures');
             Route::get('/about-us/features/edit/{id}', [AboutUsPageController::class, 'edit'])->name('admin.appearance.about-us.editFeatures');
             Route::post('/about-us/features/update', [AboutUsPageController::class, 'update'])->name('admin.appearance.about-us.updateFeatures');
             Route::get('/about-us/features/delete/{id}', [AboutUsPageController::class, 'delete'])->name('admin.appearance.about-us.deleteFeatures');
 
             # about us - why choose us
             Route::get('/about-us/why-choose-us', [AboutUsPageController::class, 'whyChooseUs'])->name('admin.appearance.about-us.whyChooseUs');
             Route::post('/about-us/why-choose-us', [AboutUsPageController::class, 'storeWhyChooseUs'])->name('admin.appearance.about-us.storeWhyChooseUs');
             Route::get('/about-us/why-choose-us/edit/{id}', [AboutUsPageController::class, 'editWhyChooseUs'])->name('admin.appearance.about-us.editWhyChooseUs');
             Route::post('/about-us/why-choose-us/update', [AboutUsPageController::class, 'updateWhyChooseUs'])->name('admin.appearance.about-us.updateWhyChooseUs');
             Route::get('/about-us/why-choose-us/delete/{id}', [AboutUsPageController::class, 'deleteWhyChooseUs'])->name('admin.appearance.about-us.deleteWhyChooseUs');

           
            # header
            Route::get('/header', [HeaderController::class, 'index'])->name('admin.appearance.header');

            # footer
            Route::get('/footer', [FooterController::class, 'index'])->name('admin.appearance.footer');
        });

        # staffs
        Route::group(['prefix' => 'staffs'], function () {
            Route::get('/', [StaffsController::class, 'index'])->name('admin.staffs.index');
            Route::get('/add-staff', [StaffsController::class, 'create'])->name('admin.staffs.create');
            Route::post('/add-staff', [StaffsController::class, 'store'])->name('admin.staffs.store');
            Route::get('/update-staff/{id}', [StaffsController::class, 'edit'])->name('admin.staffs.edit');
            Route::post('/update-staff', [StaffsController::class, 'update'])->name('admin.staffs.update');
            Route::get('/delete-staff/{id}', [StaffsController::class, 'delete'])->name('admin.staffs.delete');
        });
    }
);
